]> CyberLeo.Net >> Repos - FreeBSD/releng/9.2.git/blob - contrib/gperf/configure
- Copy stable/9 to releng/9.2 as part of the 9.2-RELEASE cycle.
[FreeBSD/releng/9.2.git] / contrib / gperf / configure
1 #! /bin/sh
2 # Guess values for system-dependent variables and create Makefiles.
3 # Generated by GNU Autoconf 2.61.
4 #
5 # Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001,
6 # 2002, 2003, 2004, 2005, 2006 Free Software Foundation, Inc.
7 # This configure script is free software; the Free Software Foundation
8 # gives unlimited permission to copy, distribute and modify it.
9 ## --------------------- ##
10 ## M4sh Initialization.  ##
11 ## --------------------- ##
12
13 # Be more Bourne compatible
14 DUALCASE=1; export DUALCASE # for MKS sh
15 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
16   emulate sh
17   NULLCMD=:
18   # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
19   # is contrary to our usage.  Disable this feature.
20   alias -g '${1+"$@"}'='"$@"'
21   setopt NO_GLOB_SUBST
22 else
23   case `(set -o) 2>/dev/null` in
24   *posix*) set -o posix ;;
25 esac
26
27 fi
28
29
30
31
32 # PATH needs CR
33 # Avoid depending upon Character Ranges.
34 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
35 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
36 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
37 as_cr_digits='0123456789'
38 as_cr_alnum=$as_cr_Letters$as_cr_digits
39
40 # The user is always right.
41 if test "${PATH_SEPARATOR+set}" != set; then
42   echo "#! /bin/sh" >conf$$.sh
43   echo  "exit 0"   >>conf$$.sh
44   chmod +x conf$$.sh
45   if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
46     PATH_SEPARATOR=';'
47   else
48     PATH_SEPARATOR=:
49   fi
50   rm -f conf$$.sh
51 fi
52
53 # Support unset when possible.
54 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
55   as_unset=unset
56 else
57   as_unset=false
58 fi
59
60
61 # IFS
62 # We need space, tab and new line, in precisely that order.  Quoting is
63 # there to prevent editors from complaining about space-tab.
64 # (If _AS_PATH_WALK were called with IFS unset, it would disable word
65 # splitting by setting IFS to empty value.)
66 as_nl='
67 '
68 IFS=" ""        $as_nl"
69
70 # Find who we are.  Look in the path if we contain no directory separator.
71 case $0 in
72   *[\\/]* ) as_myself=$0 ;;
73   *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
74 for as_dir in $PATH
75 do
76   IFS=$as_save_IFS
77   test -z "$as_dir" && as_dir=.
78   test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
79 done
80 IFS=$as_save_IFS
81
82      ;;
83 esac
84 # We did not find ourselves, most probably we were run as `sh COMMAND'
85 # in which case we are not to be found in the path.
86 if test "x$as_myself" = x; then
87   as_myself=$0
88 fi
89 if test ! -f "$as_myself"; then
90   echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
91   { (exit 1); exit 1; }
92 fi
93
94 # Work around bugs in pre-3.0 UWIN ksh.
95 for as_var in ENV MAIL MAILPATH
96 do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
97 done
98 PS1='$ '
99 PS2='> '
100 PS4='+ '
101
102 # NLS nuisances.
103 for as_var in \
104   LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
105   LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
106   LC_TELEPHONE LC_TIME
107 do
108   if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
109     eval $as_var=C; export $as_var
110   else
111     ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
112   fi
113 done
114
115 # Required to use basename.
116 if expr a : '\(a\)' >/dev/null 2>&1 &&
117    test "X`expr 00001 : '.*\(...\)'`" = X001; then
118   as_expr=expr
119 else
120   as_expr=false
121 fi
122
123 if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
124   as_basename=basename
125 else
126   as_basename=false
127 fi
128
129
130 # Name of the executable.
131 as_me=`$as_basename -- "$0" ||
132 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
133          X"$0" : 'X\(//\)$' \| \
134          X"$0" : 'X\(/\)' \| . 2>/dev/null ||
135 echo X/"$0" |
136     sed '/^.*\/\([^/][^/]*\)\/*$/{
137             s//\1/
138             q
139           }
140           /^X\/\(\/\/\)$/{
141             s//\1/
142             q
143           }
144           /^X\/\(\/\).*/{
145             s//\1/
146             q
147           }
148           s/.*/./; q'`
149
150 # CDPATH.
151 $as_unset CDPATH
152
153
154 if test "x$CONFIG_SHELL" = x; then
155   if (eval ":") 2>/dev/null; then
156   as_have_required=yes
157 else
158   as_have_required=no
159 fi
160
161   if test $as_have_required = yes &&     (eval ":
162 (as_func_return () {
163   (exit \$1)
164 }
165 as_func_success () {
166   as_func_return 0
167 }
168 as_func_failure () {
169   as_func_return 1
170 }
171 as_func_ret_success () {
172   return 0
173 }
174 as_func_ret_failure () {
175   return 1
176 }
177
178 exitcode=0
179 if as_func_success; then
180   :
181 else
182   exitcode=1
183   echo as_func_success failed.
184 fi
185
186 if as_func_failure; then
187   exitcode=1
188   echo as_func_failure succeeded.
189 fi
190
191 if as_func_ret_success; then
192   :
193 else
194   exitcode=1
195   echo as_func_ret_success failed.
196 fi
197
198 if as_func_ret_failure; then
199   exitcode=1
200   echo as_func_ret_failure succeeded.
201 fi
202
203 if ( set x; as_func_ret_success y && test x = \"\$1\" ); then
204   :
205 else
206   exitcode=1
207   echo positional parameters were not saved.
208 fi
209
210 test \$exitcode = 0) || { (exit 1); exit 1; }
211
212 (
213   as_lineno_1=\$LINENO
214   as_lineno_2=\$LINENO
215   test \"x\$as_lineno_1\" != \"x\$as_lineno_2\" &&
216   test \"x\`expr \$as_lineno_1 + 1\`\" = \"x\$as_lineno_2\") || { (exit 1); exit 1; }
217 ") 2> /dev/null; then
218   :
219 else
220   as_candidate_shells=
221     as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
222 for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
223 do
224   IFS=$as_save_IFS
225   test -z "$as_dir" && as_dir=.
226   case $as_dir in
227          /*)
228            for as_base in sh bash ksh sh5; do
229              as_candidate_shells="$as_candidate_shells $as_dir/$as_base"
230            done;;
231        esac
232 done
233 IFS=$as_save_IFS
234
235
236       for as_shell in $as_candidate_shells $SHELL; do
237          # Try only shells that exist, to save several forks.
238          if { test -f "$as_shell" || test -f "$as_shell.exe"; } &&
239                 { ("$as_shell") 2> /dev/null <<\_ASEOF
240 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
241   emulate sh
242   NULLCMD=:
243   # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
244   # is contrary to our usage.  Disable this feature.
245   alias -g '${1+"$@"}'='"$@"'
246   setopt NO_GLOB_SUBST
247 else
248   case `(set -o) 2>/dev/null` in
249   *posix*) set -o posix ;;
250 esac
251
252 fi
253
254
255 :
256 _ASEOF
257 }; then
258   CONFIG_SHELL=$as_shell
259                as_have_required=yes
260                if { "$as_shell" 2> /dev/null <<\_ASEOF
261 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
262   emulate sh
263   NULLCMD=:
264   # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
265   # is contrary to our usage.  Disable this feature.
266   alias -g '${1+"$@"}'='"$@"'
267   setopt NO_GLOB_SUBST
268 else
269   case `(set -o) 2>/dev/null` in
270   *posix*) set -o posix ;;
271 esac
272
273 fi
274
275
276 :
277 (as_func_return () {
278   (exit $1)
279 }
280 as_func_success () {
281   as_func_return 0
282 }
283 as_func_failure () {
284   as_func_return 1
285 }
286 as_func_ret_success () {
287   return 0
288 }
289 as_func_ret_failure () {
290   return 1
291 }
292
293 exitcode=0
294 if as_func_success; then
295   :
296 else
297   exitcode=1
298   echo as_func_success failed.
299 fi
300
301 if as_func_failure; then
302   exitcode=1
303   echo as_func_failure succeeded.
304 fi
305
306 if as_func_ret_success; then
307   :
308 else
309   exitcode=1
310   echo as_func_ret_success failed.
311 fi
312
313 if as_func_ret_failure; then
314   exitcode=1
315   echo as_func_ret_failure succeeded.
316 fi
317
318 if ( set x; as_func_ret_success y && test x = "$1" ); then
319   :
320 else
321   exitcode=1
322   echo positional parameters were not saved.
323 fi
324
325 test $exitcode = 0) || { (exit 1); exit 1; }
326
327 (
328   as_lineno_1=$LINENO
329   as_lineno_2=$LINENO
330   test "x$as_lineno_1" != "x$as_lineno_2" &&
331   test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2") || { (exit 1); exit 1; }
332
333 _ASEOF
334 }; then
335   break
336 fi
337
338 fi
339
340       done
341
342       if test "x$CONFIG_SHELL" != x; then
343   for as_var in BASH_ENV ENV
344         do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
345         done
346         export CONFIG_SHELL
347         exec "$CONFIG_SHELL" "$as_myself" ${1+"$@"}
348 fi
349
350
351     if test $as_have_required = no; then
352   echo This script requires a shell more modern than all the
353       echo shells that I found on your system.  Please install a
354       echo modern shell, or manually run the script under such a
355       echo shell if you do have one.
356       { (exit 1); exit 1; }
357 fi
358
359
360 fi
361
362 fi
363
364
365
366 (eval "as_func_return () {
367   (exit \$1)
368 }
369 as_func_success () {
370   as_func_return 0
371 }
372 as_func_failure () {
373   as_func_return 1
374 }
375 as_func_ret_success () {
376   return 0
377 }
378 as_func_ret_failure () {
379   return 1
380 }
381
382 exitcode=0
383 if as_func_success; then
384   :
385 else
386   exitcode=1
387   echo as_func_success failed.
388 fi
389
390 if as_func_failure; then
391   exitcode=1
392   echo as_func_failure succeeded.
393 fi
394
395 if as_func_ret_success; then
396   :
397 else
398   exitcode=1
399   echo as_func_ret_success failed.
400 fi
401
402 if as_func_ret_failure; then
403   exitcode=1
404   echo as_func_ret_failure succeeded.
405 fi
406
407 if ( set x; as_func_ret_success y && test x = \"\$1\" ); then
408   :
409 else
410   exitcode=1
411   echo positional parameters were not saved.
412 fi
413
414 test \$exitcode = 0") || {
415   echo No shell found that supports shell functions.
416   echo Please tell autoconf@gnu.org about your system,
417   echo including any error possibly output before this
418   echo message
419 }
420
421
422
423   as_lineno_1=$LINENO
424   as_lineno_2=$LINENO
425   test "x$as_lineno_1" != "x$as_lineno_2" &&
426   test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" || {
427
428   # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
429   # uniformly replaced by the line number.  The first 'sed' inserts a
430   # line-number line after each line using $LINENO; the second 'sed'
431   # does the real work.  The second script uses 'N' to pair each
432   # line-number line with the line containing $LINENO, and appends
433   # trailing '-' during substitution so that $LINENO is not a special
434   # case at line end.
435   # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
436   # scripts with optimization help from Paolo Bonzini.  Blame Lee
437   # E. McMahon (1931-1989) for sed's syntax.  :-)
438   sed -n '
439     p
440     /[$]LINENO/=
441   ' <$as_myself |
442     sed '
443       s/[$]LINENO.*/&-/
444       t lineno
445       b
446       :lineno
447       N
448       :loop
449       s/[$]LINENO\([^'$as_cr_alnum'_].*\n\)\(.*\)/\2\1\2/
450       t loop
451       s/-\n.*//
452     ' >$as_me.lineno &&
453   chmod +x "$as_me.lineno" ||
454     { echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
455    { (exit 1); exit 1; }; }
456
457   # Don't try to exec as it changes $[0], causing all sort of problems
458   # (the dirname of $[0] is not the place where we might find the
459   # original and so on.  Autoconf is especially sensitive to this).
460   . "./$as_me.lineno"
461   # Exit status is that of the last command.
462   exit
463 }
464
465
466 if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
467   as_dirname=dirname
468 else
469   as_dirname=false
470 fi
471
472 ECHO_C= ECHO_N= ECHO_T=
473 case `echo -n x` in
474 -n*)
475   case `echo 'x\c'` in
476   *c*) ECHO_T=' ';;     # ECHO_T is single tab character.
477   *)   ECHO_C='\c';;
478   esac;;
479 *)
480   ECHO_N='-n';;
481 esac
482
483 if expr a : '\(a\)' >/dev/null 2>&1 &&
484    test "X`expr 00001 : '.*\(...\)'`" = X001; then
485   as_expr=expr
486 else
487   as_expr=false
488 fi
489
490 rm -f conf$$ conf$$.exe conf$$.file
491 if test -d conf$$.dir; then
492   rm -f conf$$.dir/conf$$.file
493 else
494   rm -f conf$$.dir
495   mkdir conf$$.dir
496 fi
497 echo >conf$$.file
498 if ln -s conf$$.file conf$$ 2>/dev/null; then
499   as_ln_s='ln -s'
500   # ... but there are two gotchas:
501   # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
502   # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
503   # In both cases, we have to default to `cp -p'.
504   ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
505     as_ln_s='cp -p'
506 elif ln conf$$.file conf$$ 2>/dev/null; then
507   as_ln_s=ln
508 else
509   as_ln_s='cp -p'
510 fi
511 rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
512 rmdir conf$$.dir 2>/dev/null
513
514 if mkdir -p . 2>/dev/null; then
515   as_mkdir_p=:
516 else
517   test -d ./-p && rmdir ./-p
518   as_mkdir_p=false
519 fi
520
521 if test -x / >/dev/null 2>&1; then
522   as_test_x='test -x'
523 else
524   if ls -dL / >/dev/null 2>&1; then
525     as_ls_L_option=L
526   else
527     as_ls_L_option=
528   fi
529   as_test_x='
530     eval sh -c '\''
531       if test -d "$1"; then
532         test -d "$1/.";
533       else
534         case $1 in
535         -*)set "./$1";;
536         esac;
537         case `ls -ld'$as_ls_L_option' "$1" 2>/dev/null` in
538         ???[sx]*):;;*)false;;esac;fi
539     '\'' sh
540   '
541 fi
542 as_executable_p=$as_test_x
543
544 # Sed expression to map a string onto a valid CPP name.
545 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
546
547 # Sed expression to map a string onto a valid variable name.
548 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
549
550
551
552 exec 7<&0 </dev/null 6>&1
553
554 # Name of the host.
555 # hostname on some systems (SVR3.2, Linux) returns a bogus exit status,
556 # so uname gets run too.
557 ac_hostname=`(hostname || uname -n) 2>/dev/null | sed 1q`
558
559 #
560 # Initializations.
561 #
562 ac_default_prefix=/usr/local
563 ac_clean_files=
564 ac_config_libobj_dir=.
565 LIBOBJS=
566 cross_compiling=no
567 subdirs=
568 MFLAGS=
569 MAKEFLAGS=
570 SHELL=${CONFIG_SHELL-/bin/sh}
571
572 # Identity of this package.
573 PACKAGE_NAME=
574 PACKAGE_TARNAME=
575 PACKAGE_VERSION=
576 PACKAGE_STRING=
577 PACKAGE_BUGREPORT=
578
579 ac_unique_file="doc/gperf.1"
580 ac_subst_vars='SHELL
581 PATH_SEPARATOR
582 PACKAGE_NAME
583 PACKAGE_TARNAME
584 PACKAGE_VERSION
585 PACKAGE_STRING
586 PACKAGE_BUGREPORT
587 exec_prefix
588 prefix
589 program_transform_name
590 bindir
591 sbindir
592 libexecdir
593 datarootdir
594 datadir
595 sysconfdir
596 sharedstatedir
597 localstatedir
598 includedir
599 oldincludedir
600 docdir
601 infodir
602 htmldir
603 dvidir
604 pdfdir
605 psdir
606 libdir
607 localedir
608 mandir
609 DEFS
610 ECHO_C
611 ECHO_N
612 ECHO_T
613 LIBS
614 build_alias
615 host_alias
616 target_alias
617 SET_MAKE
618 subdirs
619 LIBOBJS
620 LTLIBOBJS'
621 ac_subst_files=''
622       ac_precious_vars='build_alias
623 host_alias
624 target_alias'
625 ac_subdirs_all='lib src tests doc'
626
627 # Initialize some variables set by options.
628 ac_init_help=
629 ac_init_version=false
630 # The variables have the same names as the options, with
631 # dashes changed to underlines.
632 cache_file=/dev/null
633 exec_prefix=NONE
634 no_create=
635 no_recursion=
636 prefix=NONE
637 program_prefix=NONE
638 program_suffix=NONE
639 program_transform_name=s,x,x,
640 silent=
641 site=
642 srcdir=
643 verbose=
644 x_includes=NONE
645 x_libraries=NONE
646
647 # Installation directory options.
648 # These are left unexpanded so users can "make install exec_prefix=/foo"
649 # and all the variables that are supposed to be based on exec_prefix
650 # by default will actually change.
651 # Use braces instead of parens because sh, perl, etc. also accept them.
652 # (The list follows the same order as the GNU Coding Standards.)
653 bindir='${exec_prefix}/bin'
654 sbindir='${exec_prefix}/sbin'
655 libexecdir='${exec_prefix}/libexec'
656 datarootdir='${prefix}/share'
657 datadir='${datarootdir}'
658 sysconfdir='${prefix}/etc'
659 sharedstatedir='${prefix}/com'
660 localstatedir='${prefix}/var'
661 includedir='${prefix}/include'
662 oldincludedir='/usr/include'
663 docdir='${datarootdir}/doc/${PACKAGE}'
664 infodir='${datarootdir}/info'
665 htmldir='${docdir}'
666 dvidir='${docdir}'
667 pdfdir='${docdir}'
668 psdir='${docdir}'
669 libdir='${exec_prefix}/lib'
670 localedir='${datarootdir}/locale'
671 mandir='${datarootdir}/man'
672
673 ac_prev=
674 ac_dashdash=
675 for ac_option
676 do
677   # If the previous option needs an argument, assign it.
678   if test -n "$ac_prev"; then
679     eval $ac_prev=\$ac_option
680     ac_prev=
681     continue
682   fi
683
684   case $ac_option in
685   *=*)  ac_optarg=`expr "X$ac_option" : '[^=]*=\(.*\)'` ;;
686   *)    ac_optarg=yes ;;
687   esac
688
689   # Accept the important Cygnus configure options, so we can diagnose typos.
690
691   case $ac_dashdash$ac_option in
692   --)
693     ac_dashdash=yes ;;
694
695   -bindir | --bindir | --bindi | --bind | --bin | --bi)
696     ac_prev=bindir ;;
697   -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
698     bindir=$ac_optarg ;;
699
700   -build | --build | --buil | --bui | --bu)
701     ac_prev=build_alias ;;
702   -build=* | --build=* | --buil=* | --bui=* | --bu=*)
703     build_alias=$ac_optarg ;;
704
705   -cache-file | --cache-file | --cache-fil | --cache-fi \
706   | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
707     ac_prev=cache_file ;;
708   -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
709   | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
710     cache_file=$ac_optarg ;;
711
712   --config-cache | -C)
713     cache_file=config.cache ;;
714
715   -datadir | --datadir | --datadi | --datad)
716     ac_prev=datadir ;;
717   -datadir=* | --datadir=* | --datadi=* | --datad=*)
718     datadir=$ac_optarg ;;
719
720   -datarootdir | --datarootdir | --datarootdi | --datarootd | --dataroot \
721   | --dataroo | --dataro | --datar)
722     ac_prev=datarootdir ;;
723   -datarootdir=* | --datarootdir=* | --datarootdi=* | --datarootd=* \
724   | --dataroot=* | --dataroo=* | --dataro=* | --datar=*)
725     datarootdir=$ac_optarg ;;
726
727   -disable-* | --disable-*)
728     ac_feature=`expr "x$ac_option" : 'x-*disable-\(.*\)'`
729     # Reject names that are not valid shell variable names.
730     expr "x$ac_feature" : ".*[^-._$as_cr_alnum]" >/dev/null &&
731       { echo "$as_me: error: invalid feature name: $ac_feature" >&2
732    { (exit 1); exit 1; }; }
733     ac_feature=`echo $ac_feature | sed 's/[-.]/_/g'`
734     eval enable_$ac_feature=no ;;
735
736   -docdir | --docdir | --docdi | --doc | --do)
737     ac_prev=docdir ;;
738   -docdir=* | --docdir=* | --docdi=* | --doc=* | --do=*)
739     docdir=$ac_optarg ;;
740
741   -dvidir | --dvidir | --dvidi | --dvid | --dvi | --dv)
742     ac_prev=dvidir ;;
743   -dvidir=* | --dvidir=* | --dvidi=* | --dvid=* | --dvi=* | --dv=*)
744     dvidir=$ac_optarg ;;
745
746   -enable-* | --enable-*)
747     ac_feature=`expr "x$ac_option" : 'x-*enable-\([^=]*\)'`
748     # Reject names that are not valid shell variable names.
749     expr "x$ac_feature" : ".*[^-._$as_cr_alnum]" >/dev/null &&
750       { echo "$as_me: error: invalid feature name: $ac_feature" >&2
751    { (exit 1); exit 1; }; }
752     ac_feature=`echo $ac_feature | sed 's/[-.]/_/g'`
753     eval enable_$ac_feature=\$ac_optarg ;;
754
755   -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
756   | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
757   | --exec | --exe | --ex)
758     ac_prev=exec_prefix ;;
759   -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
760   | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
761   | --exec=* | --exe=* | --ex=*)
762     exec_prefix=$ac_optarg ;;
763
764   -gas | --gas | --ga | --g)
765     # Obsolete; use --with-gas.
766     with_gas=yes ;;
767
768   -help | --help | --hel | --he | -h)
769     ac_init_help=long ;;
770   -help=r* | --help=r* | --hel=r* | --he=r* | -hr*)
771     ac_init_help=recursive ;;
772   -help=s* | --help=s* | --hel=s* | --he=s* | -hs*)
773     ac_init_help=short ;;
774
775   -host | --host | --hos | --ho)
776     ac_prev=host_alias ;;
777   -host=* | --host=* | --hos=* | --ho=*)
778     host_alias=$ac_optarg ;;
779
780   -htmldir | --htmldir | --htmldi | --htmld | --html | --htm | --ht)
781     ac_prev=htmldir ;;
782   -htmldir=* | --htmldir=* | --htmldi=* | --htmld=* | --html=* | --htm=* \
783   | --ht=*)
784     htmldir=$ac_optarg ;;
785
786   -includedir | --includedir | --includedi | --included | --include \
787   | --includ | --inclu | --incl | --inc)
788     ac_prev=includedir ;;
789   -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
790   | --includ=* | --inclu=* | --incl=* | --inc=*)
791     includedir=$ac_optarg ;;
792
793   -infodir | --infodir | --infodi | --infod | --info | --inf)
794     ac_prev=infodir ;;
795   -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
796     infodir=$ac_optarg ;;
797
798   -libdir | --libdir | --libdi | --libd)
799     ac_prev=libdir ;;
800   -libdir=* | --libdir=* | --libdi=* | --libd=*)
801     libdir=$ac_optarg ;;
802
803   -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
804   | --libexe | --libex | --libe)
805     ac_prev=libexecdir ;;
806   -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
807   | --libexe=* | --libex=* | --libe=*)
808     libexecdir=$ac_optarg ;;
809
810   -localedir | --localedir | --localedi | --localed | --locale)
811     ac_prev=localedir ;;
812   -localedir=* | --localedir=* | --localedi=* | --localed=* | --locale=*)
813     localedir=$ac_optarg ;;
814
815   -localstatedir | --localstatedir | --localstatedi | --localstated \
816   | --localstate | --localstat | --localsta | --localst | --locals)
817     ac_prev=localstatedir ;;
818   -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
819   | --localstate=* | --localstat=* | --localsta=* | --localst=* | --locals=*)
820     localstatedir=$ac_optarg ;;
821
822   -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
823     ac_prev=mandir ;;
824   -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
825     mandir=$ac_optarg ;;
826
827   -nfp | --nfp | --nf)
828     # Obsolete; use --without-fp.
829     with_fp=no ;;
830
831   -no-create | --no-create | --no-creat | --no-crea | --no-cre \
832   | --no-cr | --no-c | -n)
833     no_create=yes ;;
834
835   -no-recursion | --no-recursion | --no-recursio | --no-recursi \
836   | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
837     no_recursion=yes ;;
838
839   -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
840   | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
841   | --oldin | --oldi | --old | --ol | --o)
842     ac_prev=oldincludedir ;;
843   -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
844   | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
845   | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
846     oldincludedir=$ac_optarg ;;
847
848   -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
849     ac_prev=prefix ;;
850   -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
851     prefix=$ac_optarg ;;
852
853   -program-prefix | --program-prefix | --program-prefi | --program-pref \
854   | --program-pre | --program-pr | --program-p)
855     ac_prev=program_prefix ;;
856   -program-prefix=* | --program-prefix=* | --program-prefi=* \
857   | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
858     program_prefix=$ac_optarg ;;
859
860   -program-suffix | --program-suffix | --program-suffi | --program-suff \
861   | --program-suf | --program-su | --program-s)
862     ac_prev=program_suffix ;;
863   -program-suffix=* | --program-suffix=* | --program-suffi=* \
864   | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
865     program_suffix=$ac_optarg ;;
866
867   -program-transform-name | --program-transform-name \
868   | --program-transform-nam | --program-transform-na \
869   | --program-transform-n | --program-transform- \
870   | --program-transform | --program-transfor \
871   | --program-transfo | --program-transf \
872   | --program-trans | --program-tran \
873   | --progr-tra | --program-tr | --program-t)
874     ac_prev=program_transform_name ;;
875   -program-transform-name=* | --program-transform-name=* \
876   | --program-transform-nam=* | --program-transform-na=* \
877   | --program-transform-n=* | --program-transform-=* \
878   | --program-transform=* | --program-transfor=* \
879   | --program-transfo=* | --program-transf=* \
880   | --program-trans=* | --program-tran=* \
881   | --progr-tra=* | --program-tr=* | --program-t=*)
882     program_transform_name=$ac_optarg ;;
883
884   -pdfdir | --pdfdir | --pdfdi | --pdfd | --pdf | --pd)
885     ac_prev=pdfdir ;;
886   -pdfdir=* | --pdfdir=* | --pdfdi=* | --pdfd=* | --pdf=* | --pd=*)
887     pdfdir=$ac_optarg ;;
888
889   -psdir | --psdir | --psdi | --psd | --ps)
890     ac_prev=psdir ;;
891   -psdir=* | --psdir=* | --psdi=* | --psd=* | --ps=*)
892     psdir=$ac_optarg ;;
893
894   -q | -quiet | --quiet | --quie | --qui | --qu | --q \
895   | -silent | --silent | --silen | --sile | --sil)
896     silent=yes ;;
897
898   -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
899     ac_prev=sbindir ;;
900   -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
901   | --sbi=* | --sb=*)
902     sbindir=$ac_optarg ;;
903
904   -sharedstatedir | --sharedstatedir | --sharedstatedi \
905   | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
906   | --sharedst | --shareds | --shared | --share | --shar \
907   | --sha | --sh)
908     ac_prev=sharedstatedir ;;
909   -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
910   | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
911   | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
912   | --sha=* | --sh=*)
913     sharedstatedir=$ac_optarg ;;
914
915   -site | --site | --sit)
916     ac_prev=site ;;
917   -site=* | --site=* | --sit=*)
918     site=$ac_optarg ;;
919
920   -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
921     ac_prev=srcdir ;;
922   -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
923     srcdir=$ac_optarg ;;
924
925   -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
926   | --syscon | --sysco | --sysc | --sys | --sy)
927     ac_prev=sysconfdir ;;
928   -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
929   | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
930     sysconfdir=$ac_optarg ;;
931
932   -target | --target | --targe | --targ | --tar | --ta | --t)
933     ac_prev=target_alias ;;
934   -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
935     target_alias=$ac_optarg ;;
936
937   -v | -verbose | --verbose | --verbos | --verbo | --verb)
938     verbose=yes ;;
939
940   -version | --version | --versio | --versi | --vers | -V)
941     ac_init_version=: ;;
942
943   -with-* | --with-*)
944     ac_package=`expr "x$ac_option" : 'x-*with-\([^=]*\)'`
945     # Reject names that are not valid shell variable names.
946     expr "x$ac_package" : ".*[^-._$as_cr_alnum]" >/dev/null &&
947       { echo "$as_me: error: invalid package name: $ac_package" >&2
948    { (exit 1); exit 1; }; }
949     ac_package=`echo $ac_package | sed 's/[-.]/_/g'`
950     eval with_$ac_package=\$ac_optarg ;;
951
952   -without-* | --without-*)
953     ac_package=`expr "x$ac_option" : 'x-*without-\(.*\)'`
954     # Reject names that are not valid shell variable names.
955     expr "x$ac_package" : ".*[^-._$as_cr_alnum]" >/dev/null &&
956       { echo "$as_me: error: invalid package name: $ac_package" >&2
957    { (exit 1); exit 1; }; }
958     ac_package=`echo $ac_package | sed 's/[-.]/_/g'`
959     eval with_$ac_package=no ;;
960
961   --x)
962     # Obsolete; use --with-x.
963     with_x=yes ;;
964
965   -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
966   | --x-incl | --x-inc | --x-in | --x-i)
967     ac_prev=x_includes ;;
968   -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
969   | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
970     x_includes=$ac_optarg ;;
971
972   -x-libraries | --x-libraries | --x-librarie | --x-librari \
973   | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
974     ac_prev=x_libraries ;;
975   -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
976   | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
977     x_libraries=$ac_optarg ;;
978
979   -*) { echo "$as_me: error: unrecognized option: $ac_option
980 Try \`$0 --help' for more information." >&2
981    { (exit 1); exit 1; }; }
982     ;;
983
984   *=*)
985     ac_envvar=`expr "x$ac_option" : 'x\([^=]*\)='`
986     # Reject names that are not valid shell variable names.
987     expr "x$ac_envvar" : ".*[^_$as_cr_alnum]" >/dev/null &&
988       { echo "$as_me: error: invalid variable name: $ac_envvar" >&2
989    { (exit 1); exit 1; }; }
990     eval $ac_envvar=\$ac_optarg
991     export $ac_envvar ;;
992
993   *)
994     # FIXME: should be removed in autoconf 3.0.
995     echo "$as_me: WARNING: you should use --build, --host, --target" >&2
996     expr "x$ac_option" : ".*[^-._$as_cr_alnum]" >/dev/null &&
997       echo "$as_me: WARNING: invalid host type: $ac_option" >&2
998     : ${build_alias=$ac_option} ${host_alias=$ac_option} ${target_alias=$ac_option}
999     ;;
1000
1001   esac
1002 done
1003
1004 if test -n "$ac_prev"; then
1005   ac_option=--`echo $ac_prev | sed 's/_/-/g'`
1006   { echo "$as_me: error: missing argument to $ac_option" >&2
1007    { (exit 1); exit 1; }; }
1008 fi
1009
1010 # Be sure to have absolute directory names.
1011 for ac_var in   exec_prefix prefix bindir sbindir libexecdir datarootdir \
1012                 datadir sysconfdir sharedstatedir localstatedir includedir \
1013                 oldincludedir docdir infodir htmldir dvidir pdfdir psdir \
1014                 libdir localedir mandir
1015 do
1016   eval ac_val=\$$ac_var
1017   case $ac_val in
1018     [\\/$]* | ?:[\\/]* )  continue;;
1019     NONE | '' ) case $ac_var in *prefix ) continue;; esac;;
1020   esac
1021   { echo "$as_me: error: expected an absolute directory name for --$ac_var: $ac_val" >&2
1022    { (exit 1); exit 1; }; }
1023 done
1024
1025 # There might be people who depend on the old broken behavior: `$host'
1026 # used to hold the argument of --host etc.
1027 # FIXME: To remove some day.
1028 build=$build_alias
1029 host=$host_alias
1030 target=$target_alias
1031
1032 # FIXME: To remove some day.
1033 if test "x$host_alias" != x; then
1034   if test "x$build_alias" = x; then
1035     cross_compiling=maybe
1036     echo "$as_me: WARNING: If you wanted to set the --build type, don't use --host.
1037     If a cross compiler is detected then cross compile mode will be used." >&2
1038   elif test "x$build_alias" != "x$host_alias"; then
1039     cross_compiling=yes
1040   fi
1041 fi
1042
1043 ac_tool_prefix=
1044 test -n "$host_alias" && ac_tool_prefix=$host_alias-
1045
1046 test "$silent" = yes && exec 6>/dev/null
1047
1048
1049 ac_pwd=`pwd` && test -n "$ac_pwd" &&
1050 ac_ls_di=`ls -di .` &&
1051 ac_pwd_ls_di=`cd "$ac_pwd" && ls -di .` ||
1052   { echo "$as_me: error: Working directory cannot be determined" >&2
1053    { (exit 1); exit 1; }; }
1054 test "X$ac_ls_di" = "X$ac_pwd_ls_di" ||
1055   { echo "$as_me: error: pwd does not report name of working directory" >&2
1056    { (exit 1); exit 1; }; }
1057
1058
1059 # Find the source files, if location was not specified.
1060 if test -z "$srcdir"; then
1061   ac_srcdir_defaulted=yes
1062   # Try the directory containing this script, then the parent directory.
1063   ac_confdir=`$as_dirname -- "$0" ||
1064 $as_expr X"$0" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1065          X"$0" : 'X\(//\)[^/]' \| \
1066          X"$0" : 'X\(//\)$' \| \
1067          X"$0" : 'X\(/\)' \| . 2>/dev/null ||
1068 echo X"$0" |
1069     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1070             s//\1/
1071             q
1072           }
1073           /^X\(\/\/\)[^/].*/{
1074             s//\1/
1075             q
1076           }
1077           /^X\(\/\/\)$/{
1078             s//\1/
1079             q
1080           }
1081           /^X\(\/\).*/{
1082             s//\1/
1083             q
1084           }
1085           s/.*/./; q'`
1086   srcdir=$ac_confdir
1087   if test ! -r "$srcdir/$ac_unique_file"; then
1088     srcdir=..
1089   fi
1090 else
1091   ac_srcdir_defaulted=no
1092 fi
1093 if test ! -r "$srcdir/$ac_unique_file"; then
1094   test "$ac_srcdir_defaulted" = yes && srcdir="$ac_confdir or .."
1095   { echo "$as_me: error: cannot find sources ($ac_unique_file) in $srcdir" >&2
1096    { (exit 1); exit 1; }; }
1097 fi
1098 ac_msg="sources are in $srcdir, but \`cd $srcdir' does not work"
1099 ac_abs_confdir=`(
1100         cd "$srcdir" && test -r "./$ac_unique_file" || { echo "$as_me: error: $ac_msg" >&2
1101    { (exit 1); exit 1; }; }
1102         pwd)`
1103 # When building in place, set srcdir=.
1104 if test "$ac_abs_confdir" = "$ac_pwd"; then
1105   srcdir=.
1106 fi
1107 # Remove unnecessary trailing slashes from srcdir.
1108 # Double slashes in file names in object file debugging info
1109 # mess up M-x gdb in Emacs.
1110 case $srcdir in
1111 */) srcdir=`expr "X$srcdir" : 'X\(.*[^/]\)' \| "X$srcdir" : 'X\(.*\)'`;;
1112 esac
1113 for ac_var in $ac_precious_vars; do
1114   eval ac_env_${ac_var}_set=\${${ac_var}+set}
1115   eval ac_env_${ac_var}_value=\$${ac_var}
1116   eval ac_cv_env_${ac_var}_set=\${${ac_var}+set}
1117   eval ac_cv_env_${ac_var}_value=\$${ac_var}
1118 done
1119
1120 #
1121 # Report the --help message.
1122 #
1123 if test "$ac_init_help" = "long"; then
1124   # Omit some internal or obsolete options to make the list less imposing.
1125   # This message is too long to be a string in the A/UX 3.1 sh.
1126   cat <<_ACEOF
1127 \`configure' configures this package to adapt to many kinds of systems.
1128
1129 Usage: $0 [OPTION]... [VAR=VALUE]...
1130
1131 To assign environment variables (e.g., CC, CFLAGS...), specify them as
1132 VAR=VALUE.  See below for descriptions of some of the useful variables.
1133
1134 Defaults for the options are specified in brackets.
1135
1136 Configuration:
1137   -h, --help              display this help and exit
1138       --help=short        display options specific to this package
1139       --help=recursive    display the short help of all the included packages
1140   -V, --version           display version information and exit
1141   -q, --quiet, --silent   do not print \`checking...' messages
1142       --cache-file=FILE   cache test results in FILE [disabled]
1143   -C, --config-cache      alias for \`--cache-file=config.cache'
1144   -n, --no-create         do not create output files
1145       --srcdir=DIR        find the sources in DIR [configure dir or \`..']
1146
1147 Installation directories:
1148   --prefix=PREFIX         install architecture-independent files in PREFIX
1149                           [$ac_default_prefix]
1150   --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
1151                           [PREFIX]
1152
1153 By default, \`make install' will install all the files in
1154 \`$ac_default_prefix/bin', \`$ac_default_prefix/lib' etc.  You can specify
1155 an installation prefix other than \`$ac_default_prefix' using \`--prefix',
1156 for instance \`--prefix=\$HOME'.
1157
1158 For better control, use the options below.
1159
1160 Fine tuning of the installation directories:
1161   --bindir=DIR           user executables [EPREFIX/bin]
1162   --sbindir=DIR          system admin executables [EPREFIX/sbin]
1163   --libexecdir=DIR       program executables [EPREFIX/libexec]
1164   --sysconfdir=DIR       read-only single-machine data [PREFIX/etc]
1165   --sharedstatedir=DIR   modifiable architecture-independent data [PREFIX/com]
1166   --localstatedir=DIR    modifiable single-machine data [PREFIX/var]
1167   --libdir=DIR           object code libraries [EPREFIX/lib]
1168   --includedir=DIR       C header files [PREFIX/include]
1169   --oldincludedir=DIR    C header files for non-gcc [/usr/include]
1170   --datarootdir=DIR      read-only arch.-independent data root [PREFIX/share]
1171   --datadir=DIR          read-only architecture-independent data [DATAROOTDIR]
1172   --infodir=DIR          info documentation [DATAROOTDIR/info]
1173   --localedir=DIR        locale-dependent data [DATAROOTDIR/locale]
1174   --mandir=DIR           man documentation [DATAROOTDIR/man]
1175   --docdir=DIR           documentation root [DATAROOTDIR/doc/PACKAGE]
1176   --htmldir=DIR          html documentation [DOCDIR]
1177   --dvidir=DIR           dvi documentation [DOCDIR]
1178   --pdfdir=DIR           pdf documentation [DOCDIR]
1179   --psdir=DIR            ps documentation [DOCDIR]
1180 _ACEOF
1181
1182   cat <<\_ACEOF
1183 _ACEOF
1184 fi
1185
1186 if test -n "$ac_init_help"; then
1187
1188   cat <<\_ACEOF
1189
1190 _ACEOF
1191 ac_status=$?
1192 fi
1193
1194 if test "$ac_init_help" = "recursive"; then
1195   # If there are subdirs, report their specific --help.
1196   for ac_dir in : $ac_subdirs_all; do test "x$ac_dir" = x: && continue
1197     test -d "$ac_dir" || continue
1198     ac_builddir=.
1199
1200 case "$ac_dir" in
1201 .) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
1202 *)
1203   ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
1204   # A ".." for each directory in $ac_dir_suffix.
1205   ac_top_builddir_sub=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,/..,g;s,/,,'`
1206   case $ac_top_builddir_sub in
1207   "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
1208   *)  ac_top_build_prefix=$ac_top_builddir_sub/ ;;
1209   esac ;;
1210 esac
1211 ac_abs_top_builddir=$ac_pwd
1212 ac_abs_builddir=$ac_pwd$ac_dir_suffix
1213 # for backward compatibility:
1214 ac_top_builddir=$ac_top_build_prefix
1215
1216 case $srcdir in
1217   .)  # We are building in place.
1218     ac_srcdir=.
1219     ac_top_srcdir=$ac_top_builddir_sub
1220     ac_abs_top_srcdir=$ac_pwd ;;
1221   [\\/]* | ?:[\\/]* )  # Absolute name.
1222     ac_srcdir=$srcdir$ac_dir_suffix;
1223     ac_top_srcdir=$srcdir
1224     ac_abs_top_srcdir=$srcdir ;;
1225   *) # Relative name.
1226     ac_srcdir=$ac_top_build_prefix$srcdir$ac_dir_suffix
1227     ac_top_srcdir=$ac_top_build_prefix$srcdir
1228     ac_abs_top_srcdir=$ac_pwd/$srcdir ;;
1229 esac
1230 ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix
1231
1232     cd "$ac_dir" || { ac_status=$?; continue; }
1233     # Check for guested configure.
1234     if test -f "$ac_srcdir/configure.gnu"; then
1235       echo &&
1236       $SHELL "$ac_srcdir/configure.gnu" --help=recursive
1237     elif test -f "$ac_srcdir/configure"; then
1238       echo &&
1239       $SHELL "$ac_srcdir/configure" --help=recursive
1240     else
1241       echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2
1242     fi || ac_status=$?
1243     cd "$ac_pwd" || { ac_status=$?; break; }
1244   done
1245 fi
1246
1247 test -n "$ac_init_help" && exit $ac_status
1248 if $ac_init_version; then
1249   cat <<\_ACEOF
1250 configure
1251 generated by GNU Autoconf 2.61
1252
1253 Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001,
1254 2002, 2003, 2004, 2005, 2006 Free Software Foundation, Inc.
1255 This configure script is free software; the Free Software Foundation
1256 gives unlimited permission to copy, distribute and modify it.
1257 _ACEOF
1258   exit
1259 fi
1260 cat >config.log <<_ACEOF
1261 This file contains any messages produced by compilers while
1262 running configure, to aid debugging if configure makes a mistake.
1263
1264 It was created by $as_me, which was
1265 generated by GNU Autoconf 2.61.  Invocation command line was
1266
1267   $ $0 $@
1268
1269 _ACEOF
1270 exec 5>>config.log
1271 {
1272 cat <<_ASUNAME
1273 ## --------- ##
1274 ## Platform. ##
1275 ## --------- ##
1276
1277 hostname = `(hostname || uname -n) 2>/dev/null | sed 1q`
1278 uname -m = `(uname -m) 2>/dev/null || echo unknown`
1279 uname -r = `(uname -r) 2>/dev/null || echo unknown`
1280 uname -s = `(uname -s) 2>/dev/null || echo unknown`
1281 uname -v = `(uname -v) 2>/dev/null || echo unknown`
1282
1283 /usr/bin/uname -p = `(/usr/bin/uname -p) 2>/dev/null || echo unknown`
1284 /bin/uname -X     = `(/bin/uname -X) 2>/dev/null     || echo unknown`
1285
1286 /bin/arch              = `(/bin/arch) 2>/dev/null              || echo unknown`
1287 /usr/bin/arch -k       = `(/usr/bin/arch -k) 2>/dev/null       || echo unknown`
1288 /usr/convex/getsysinfo = `(/usr/convex/getsysinfo) 2>/dev/null || echo unknown`
1289 /usr/bin/hostinfo      = `(/usr/bin/hostinfo) 2>/dev/null      || echo unknown`
1290 /bin/machine           = `(/bin/machine) 2>/dev/null           || echo unknown`
1291 /usr/bin/oslevel       = `(/usr/bin/oslevel) 2>/dev/null       || echo unknown`
1292 /bin/universe          = `(/bin/universe) 2>/dev/null          || echo unknown`
1293
1294 _ASUNAME
1295
1296 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
1297 for as_dir in $PATH
1298 do
1299   IFS=$as_save_IFS
1300   test -z "$as_dir" && as_dir=.
1301   echo "PATH: $as_dir"
1302 done
1303 IFS=$as_save_IFS
1304
1305 } >&5
1306
1307 cat >&5 <<_ACEOF
1308
1309
1310 ## ----------- ##
1311 ## Core tests. ##
1312 ## ----------- ##
1313
1314 _ACEOF
1315
1316
1317 # Keep a trace of the command line.
1318 # Strip out --no-create and --no-recursion so they do not pile up.
1319 # Strip out --silent because we don't want to record it for future runs.
1320 # Also quote any args containing shell meta-characters.
1321 # Make two passes to allow for proper duplicate-argument suppression.
1322 ac_configure_args=
1323 ac_configure_args0=
1324 ac_configure_args1=
1325 ac_must_keep_next=false
1326 for ac_pass in 1 2
1327 do
1328   for ac_arg
1329   do
1330     case $ac_arg in
1331     -no-create | --no-c* | -n | -no-recursion | --no-r*) continue ;;
1332     -q | -quiet | --quiet | --quie | --qui | --qu | --q \
1333     | -silent | --silent | --silen | --sile | --sil)
1334       continue ;;
1335     *\'*)
1336       ac_arg=`echo "$ac_arg" | sed "s/'/'\\\\\\\\''/g"` ;;
1337     esac
1338     case $ac_pass in
1339     1) ac_configure_args0="$ac_configure_args0 '$ac_arg'" ;;
1340     2)
1341       ac_configure_args1="$ac_configure_args1 '$ac_arg'"
1342       if test $ac_must_keep_next = true; then
1343         ac_must_keep_next=false # Got value, back to normal.
1344       else
1345         case $ac_arg in
1346           *=* | --config-cache | -C | -disable-* | --disable-* \
1347           | -enable-* | --enable-* | -gas | --g* | -nfp | --nf* \
1348           | -q | -quiet | --q* | -silent | --sil* | -v | -verb* \
1349           | -with-* | --with-* | -without-* | --without-* | --x)
1350             case "$ac_configure_args0 " in
1351               "$ac_configure_args1"*" '$ac_arg' "* ) continue ;;
1352             esac
1353             ;;
1354           -* ) ac_must_keep_next=true ;;
1355         esac
1356       fi
1357       ac_configure_args="$ac_configure_args '$ac_arg'"
1358       ;;
1359     esac
1360   done
1361 done
1362 $as_unset ac_configure_args0 || test "${ac_configure_args0+set}" != set || { ac_configure_args0=; export ac_configure_args0; }
1363 $as_unset ac_configure_args1 || test "${ac_configure_args1+set}" != set || { ac_configure_args1=; export ac_configure_args1; }
1364
1365 # When interrupted or exit'd, cleanup temporary files, and complete
1366 # config.log.  We remove comments because anyway the quotes in there
1367 # would cause problems or look ugly.
1368 # WARNING: Use '\'' to represent an apostrophe within the trap.
1369 # WARNING: Do not start the trap code with a newline, due to a FreeBSD 4.0 bug.
1370 trap 'exit_status=$?
1371   # Save into config.log some information that might help in debugging.
1372   {
1373     echo
1374
1375     cat <<\_ASBOX
1376 ## ---------------- ##
1377 ## Cache variables. ##
1378 ## ---------------- ##
1379 _ASBOX
1380     echo
1381     # The following way of writing the cache mishandles newlines in values,
1382 (
1383   for ac_var in `(set) 2>&1 | sed -n '\''s/^\([a-zA-Z_][a-zA-Z0-9_]*\)=.*/\1/p'\''`; do
1384     eval ac_val=\$$ac_var
1385     case $ac_val in #(
1386     *${as_nl}*)
1387       case $ac_var in #(
1388       *_cv_*) { echo "$as_me:$LINENO: WARNING: Cache variable $ac_var contains a newline." >&5
1389 echo "$as_me: WARNING: Cache variable $ac_var contains a newline." >&2;} ;;
1390       esac
1391       case $ac_var in #(
1392       _ | IFS | as_nl) ;; #(
1393       *) $as_unset $ac_var ;;
1394       esac ;;
1395     esac
1396   done
1397   (set) 2>&1 |
1398     case $as_nl`(ac_space='\'' '\''; set) 2>&1` in #(
1399     *${as_nl}ac_space=\ *)
1400       sed -n \
1401         "s/'\''/'\''\\\\'\'''\''/g;
1402           s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1='\''\\2'\''/p"
1403       ;; #(
1404     *)
1405       sed -n "/^[_$as_cr_alnum]*_cv_[_$as_cr_alnum]*=/p"
1406       ;;
1407     esac |
1408     sort
1409 )
1410     echo
1411
1412     cat <<\_ASBOX
1413 ## ----------------- ##
1414 ## Output variables. ##
1415 ## ----------------- ##
1416 _ASBOX
1417     echo
1418     for ac_var in $ac_subst_vars
1419     do
1420       eval ac_val=\$$ac_var
1421       case $ac_val in
1422       *\'\''*) ac_val=`echo "$ac_val" | sed "s/'\''/'\''\\\\\\\\'\'''\''/g"`;;
1423       esac
1424       echo "$ac_var='\''$ac_val'\''"
1425     done | sort
1426     echo
1427
1428     if test -n "$ac_subst_files"; then
1429       cat <<\_ASBOX
1430 ## ------------------- ##
1431 ## File substitutions. ##
1432 ## ------------------- ##
1433 _ASBOX
1434       echo
1435       for ac_var in $ac_subst_files
1436       do
1437         eval ac_val=\$$ac_var
1438         case $ac_val in
1439         *\'\''*) ac_val=`echo "$ac_val" | sed "s/'\''/'\''\\\\\\\\'\'''\''/g"`;;
1440         esac
1441         echo "$ac_var='\''$ac_val'\''"
1442       done | sort
1443       echo
1444     fi
1445
1446     if test -s confdefs.h; then
1447       cat <<\_ASBOX
1448 ## ----------- ##
1449 ## confdefs.h. ##
1450 ## ----------- ##
1451 _ASBOX
1452       echo
1453       cat confdefs.h
1454       echo
1455     fi
1456     test "$ac_signal" != 0 &&
1457       echo "$as_me: caught signal $ac_signal"
1458     echo "$as_me: exit $exit_status"
1459   } >&5
1460   rm -f core *.core core.conftest.* &&
1461     rm -f -r conftest* confdefs* conf$$* $ac_clean_files &&
1462     exit $exit_status
1463 ' 0
1464 for ac_signal in 1 2 13 15; do
1465   trap 'ac_signal='$ac_signal'; { (exit 1); exit 1; }' $ac_signal
1466 done
1467 ac_signal=0
1468
1469 # confdefs.h avoids OS command line length limits that DEFS can exceed.
1470 rm -f -r conftest* confdefs.h
1471
1472 # Predefined preprocessor variables.
1473
1474 cat >>confdefs.h <<_ACEOF
1475 #define PACKAGE_NAME "$PACKAGE_NAME"
1476 _ACEOF
1477
1478
1479 cat >>confdefs.h <<_ACEOF
1480 #define PACKAGE_TARNAME "$PACKAGE_TARNAME"
1481 _ACEOF
1482
1483
1484 cat >>confdefs.h <<_ACEOF
1485 #define PACKAGE_VERSION "$PACKAGE_VERSION"
1486 _ACEOF
1487
1488
1489 cat >>confdefs.h <<_ACEOF
1490 #define PACKAGE_STRING "$PACKAGE_STRING"
1491 _ACEOF
1492
1493
1494 cat >>confdefs.h <<_ACEOF
1495 #define PACKAGE_BUGREPORT "$PACKAGE_BUGREPORT"
1496 _ACEOF
1497
1498
1499 # Let the site file select an alternate cache file if it wants to.
1500 # Prefer explicitly selected file to automatically selected ones.
1501 if test -n "$CONFIG_SITE"; then
1502   set x "$CONFIG_SITE"
1503 elif test "x$prefix" != xNONE; then
1504   set x "$prefix/share/config.site" "$prefix/etc/config.site"
1505 else
1506   set x "$ac_default_prefix/share/config.site" \
1507         "$ac_default_prefix/etc/config.site"
1508 fi
1509 shift
1510 for ac_site_file
1511 do
1512   if test -r "$ac_site_file"; then
1513     { echo "$as_me:$LINENO: loading site script $ac_site_file" >&5
1514 echo "$as_me: loading site script $ac_site_file" >&6;}
1515     sed 's/^/| /' "$ac_site_file" >&5
1516     . "$ac_site_file"
1517   fi
1518 done
1519
1520 if test -r "$cache_file"; then
1521   # Some versions of bash will fail to source /dev/null (special
1522   # files actually), so we avoid doing that.
1523   if test -f "$cache_file"; then
1524     { echo "$as_me:$LINENO: loading cache $cache_file" >&5
1525 echo "$as_me: loading cache $cache_file" >&6;}
1526     case $cache_file in
1527       [\\/]* | ?:[\\/]* ) . "$cache_file";;
1528       *)                      . "./$cache_file";;
1529     esac
1530   fi
1531 else
1532   { echo "$as_me:$LINENO: creating cache $cache_file" >&5
1533 echo "$as_me: creating cache $cache_file" >&6;}
1534   >$cache_file
1535 fi
1536
1537 # Check that the precious variables saved in the cache have kept the same
1538 # value.
1539 ac_cache_corrupted=false
1540 for ac_var in $ac_precious_vars; do
1541   eval ac_old_set=\$ac_cv_env_${ac_var}_set
1542   eval ac_new_set=\$ac_env_${ac_var}_set
1543   eval ac_old_val=\$ac_cv_env_${ac_var}_value
1544   eval ac_new_val=\$ac_env_${ac_var}_value
1545   case $ac_old_set,$ac_new_set in
1546     set,)
1547       { echo "$as_me:$LINENO: error: \`$ac_var' was set to \`$ac_old_val' in the previous run" >&5
1548 echo "$as_me: error: \`$ac_var' was set to \`$ac_old_val' in the previous run" >&2;}
1549       ac_cache_corrupted=: ;;
1550     ,set)
1551       { echo "$as_me:$LINENO: error: \`$ac_var' was not set in the previous run" >&5
1552 echo "$as_me: error: \`$ac_var' was not set in the previous run" >&2;}
1553       ac_cache_corrupted=: ;;
1554     ,);;
1555     *)
1556       if test "x$ac_old_val" != "x$ac_new_val"; then
1557         { echo "$as_me:$LINENO: error: \`$ac_var' has changed since the previous run:" >&5
1558 echo "$as_me: error: \`$ac_var' has changed since the previous run:" >&2;}
1559         { echo "$as_me:$LINENO:   former value:  $ac_old_val" >&5
1560 echo "$as_me:   former value:  $ac_old_val" >&2;}
1561         { echo "$as_me:$LINENO:   current value: $ac_new_val" >&5
1562 echo "$as_me:   current value: $ac_new_val" >&2;}
1563         ac_cache_corrupted=:
1564       fi;;
1565   esac
1566   # Pass precious variables to config.status.
1567   if test "$ac_new_set" = set; then
1568     case $ac_new_val in
1569     *\'*) ac_arg=$ac_var=`echo "$ac_new_val" | sed "s/'/'\\\\\\\\''/g"` ;;
1570     *) ac_arg=$ac_var=$ac_new_val ;;
1571     esac
1572     case " $ac_configure_args " in
1573       *" '$ac_arg' "*) ;; # Avoid dups.  Use of quotes ensures accuracy.
1574       *) ac_configure_args="$ac_configure_args '$ac_arg'" ;;
1575     esac
1576   fi
1577 done
1578 if $ac_cache_corrupted; then
1579   { echo "$as_me:$LINENO: error: changes in the environment can compromise the build" >&5
1580 echo "$as_me: error: changes in the environment can compromise the build" >&2;}
1581   { { echo "$as_me:$LINENO: error: run \`make distclean' and/or \`rm $cache_file' and start over" >&5
1582 echo "$as_me: error: run \`make distclean' and/or \`rm $cache_file' and start over" >&2;}
1583    { (exit 1); exit 1; }; }
1584 fi
1585
1586
1587
1588
1589
1590
1591
1592
1593
1594
1595
1596
1597
1598
1599
1600
1601
1602 ac_ext=c
1603 ac_cpp='$CPP $CPPFLAGS'
1604 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
1605 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
1606 ac_compiler_gnu=$ac_cv_c_compiler_gnu
1607
1608
1609 { echo "$as_me:$LINENO: checking whether ${MAKE-make} sets \$(MAKE)" >&5
1610 echo $ECHO_N "checking whether ${MAKE-make} sets \$(MAKE)... $ECHO_C" >&6; }
1611 set x ${MAKE-make}; ac_make=`echo "$2" | sed 's/+/p/g; s/[^a-zA-Z0-9_]/_/g'`
1612 if { as_var=ac_cv_prog_make_${ac_make}_set; eval "test \"\${$as_var+set}\" = set"; }; then
1613   echo $ECHO_N "(cached) $ECHO_C" >&6
1614 else
1615   cat >conftest.make <<\_ACEOF
1616 SHELL = /bin/sh
1617 all:
1618         @echo '@@@%%%=$(MAKE)=@@@%%%'
1619 _ACEOF
1620 # GNU make sometimes prints "make[1]: Entering...", which would confuse us.
1621 case `${MAKE-make} -f conftest.make 2>/dev/null` in
1622   *@@@%%%=?*=@@@%%%*)
1623     eval ac_cv_prog_make_${ac_make}_set=yes;;
1624   *)
1625     eval ac_cv_prog_make_${ac_make}_set=no;;
1626 esac
1627 rm -f conftest.make
1628 fi
1629 if eval test \$ac_cv_prog_make_${ac_make}_set = yes; then
1630   { echo "$as_me:$LINENO: result: yes" >&5
1631 echo "${ECHO_T}yes" >&6; }
1632   SET_MAKE=
1633 else
1634   { echo "$as_me:$LINENO: result: no" >&5
1635 echo "${ECHO_T}no" >&6; }
1636   SET_MAKE="MAKE=${MAKE-make}"
1637 fi
1638
1639
1640
1641
1642 ac_aux_dir=$srcdir
1643
1644 subdirs="$subdirs lib src tests doc"
1645
1646
1647 extrasub="$extrasub"'
1648 /@subdir@/{
1649 h
1650 g
1651 s/@subdir@/lib/
1652 p
1653 g
1654 s/@subdir@/src/
1655 p
1656 g
1657 s/@subdir@/tests/
1658 p
1659 g
1660 s/@subdir@/doc/
1661 p
1662 d
1663 }
1664 '
1665 ac_config_files="$ac_config_files Makefile"
1666
1667 cat >confcache <<\_ACEOF
1668 # This file is a shell script that caches the results of configure
1669 # tests run on this system so they can be shared between configure
1670 # scripts and configure runs, see configure's option --config-cache.
1671 # It is not useful on other systems.  If it contains results you don't
1672 # want to keep, you may remove or edit it.
1673 #
1674 # config.status only pays attention to the cache file if you give it
1675 # the --recheck option to rerun configure.
1676 #
1677 # `ac_cv_env_foo' variables (set or unset) will be overridden when
1678 # loading this file, other *unset* `ac_cv_foo' will be assigned the
1679 # following values.
1680
1681 _ACEOF
1682
1683 # The following way of writing the cache mishandles newlines in values,
1684 # but we know of no workaround that is simple, portable, and efficient.
1685 # So, we kill variables containing newlines.
1686 # Ultrix sh set writes to stderr and can't be redirected directly,
1687 # and sets the high bit in the cache file unless we assign to the vars.
1688 (
1689   for ac_var in `(set) 2>&1 | sed -n 's/^\([a-zA-Z_][a-zA-Z0-9_]*\)=.*/\1/p'`; do
1690     eval ac_val=\$$ac_var
1691     case $ac_val in #(
1692     *${as_nl}*)
1693       case $ac_var in #(
1694       *_cv_*) { echo "$as_me:$LINENO: WARNING: Cache variable $ac_var contains a newline." >&5
1695 echo "$as_me: WARNING: Cache variable $ac_var contains a newline." >&2;} ;;
1696       esac
1697       case $ac_var in #(
1698       _ | IFS | as_nl) ;; #(
1699       *) $as_unset $ac_var ;;
1700       esac ;;
1701     esac
1702   done
1703
1704   (set) 2>&1 |
1705     case $as_nl`(ac_space=' '; set) 2>&1` in #(
1706     *${as_nl}ac_space=\ *)
1707       # `set' does not quote correctly, so add quotes (double-quote
1708       # substitution turns \\\\ into \\, and sed turns \\ into \).
1709       sed -n \
1710         "s/'/'\\\\''/g;
1711           s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1='\\2'/p"
1712       ;; #(
1713     *)
1714       # `set' quotes correctly as required by POSIX, so do not add quotes.
1715       sed -n "/^[_$as_cr_alnum]*_cv_[_$as_cr_alnum]*=/p"
1716       ;;
1717     esac |
1718     sort
1719 ) |
1720   sed '
1721      /^ac_cv_env_/b end
1722      t clear
1723      :clear
1724      s/^\([^=]*\)=\(.*[{}].*\)$/test "${\1+set}" = set || &/
1725      t end
1726      s/^\([^=]*\)=\(.*\)$/\1=${\1=\2}/
1727      :end' >>confcache
1728 if diff "$cache_file" confcache >/dev/null 2>&1; then :; else
1729   if test -w "$cache_file"; then
1730     test "x$cache_file" != "x/dev/null" &&
1731       { echo "$as_me:$LINENO: updating cache $cache_file" >&5
1732 echo "$as_me: updating cache $cache_file" >&6;}
1733     cat confcache >$cache_file
1734   else
1735     { echo "$as_me:$LINENO: not updating unwritable cache $cache_file" >&5
1736 echo "$as_me: not updating unwritable cache $cache_file" >&6;}
1737   fi
1738 fi
1739 rm -f confcache
1740
1741 test "x$prefix" = xNONE && prefix=$ac_default_prefix
1742 # Let make expand exec_prefix.
1743 test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1744
1745 # Transform confdefs.h into DEFS.
1746 # Protect against shell expansion while executing Makefile rules.
1747 # Protect against Makefile macro expansion.
1748 #
1749 # If the first sed substitution is executed (which looks for macros that
1750 # take arguments), then branch to the quote section.  Otherwise,
1751 # look for a macro that doesn't take arguments.
1752 ac_script='
1753 t clear
1754 :clear
1755 s/^[     ]*#[    ]*define[       ][      ]*\([^  (][^    (]*([^)]*)\)[   ]*\(.*\)/-D\1=\2/g
1756 t quote
1757 s/^[     ]*#[    ]*define[       ][      ]*\([^  ][^     ]*\)[   ]*\(.*\)/-D\1=\2/g
1758 t quote
1759 b any
1760 :quote
1761 s/[      `~#$^&*(){}\\|;'\''"<>?]/\\&/g
1762 s/\[/\\&/g
1763 s/\]/\\&/g
1764 s/\$/$$/g
1765 H
1766 :any
1767 ${
1768         g
1769         s/^\n//
1770         s/\n/ /g
1771         p
1772 }
1773 '
1774 DEFS=`sed -n "$ac_script" confdefs.h`
1775
1776
1777 ac_libobjs=
1778 ac_ltlibobjs=
1779 for ac_i in : $LIBOBJS; do test "x$ac_i" = x: && continue
1780   # 1. Remove the extension, and $U if already installed.
1781   ac_script='s/\$U\././;s/\.o$//;s/\.obj$//'
1782   ac_i=`echo "$ac_i" | sed "$ac_script"`
1783   # 2. Prepend LIBOBJDIR.  When used with automake>=1.10 LIBOBJDIR
1784   #    will be set to the directory where LIBOBJS objects are built.
1785   ac_libobjs="$ac_libobjs \${LIBOBJDIR}$ac_i\$U.$ac_objext"
1786   ac_ltlibobjs="$ac_ltlibobjs \${LIBOBJDIR}$ac_i"'$U.lo'
1787 done
1788 LIBOBJS=$ac_libobjs
1789
1790 LTLIBOBJS=$ac_ltlibobjs
1791
1792
1793
1794 : ${CONFIG_STATUS=./config.status}
1795 ac_clean_files_save=$ac_clean_files
1796 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
1797 { echo "$as_me:$LINENO: creating $CONFIG_STATUS" >&5
1798 echo "$as_me: creating $CONFIG_STATUS" >&6;}
1799 cat >$CONFIG_STATUS <<_ACEOF
1800 #! $SHELL
1801 # Generated by $as_me.
1802 # Run this file to recreate the current configuration.
1803 # Compiler output produced by configure, useful for debugging
1804 # configure, is in config.log if it exists.
1805
1806 debug=false
1807 ac_cs_recheck=false
1808 ac_cs_silent=false
1809 SHELL=\${CONFIG_SHELL-$SHELL}
1810 _ACEOF
1811
1812 cat >>$CONFIG_STATUS <<\_ACEOF
1813 ## --------------------- ##
1814 ## M4sh Initialization.  ##
1815 ## --------------------- ##
1816
1817 # Be more Bourne compatible
1818 DUALCASE=1; export DUALCASE # for MKS sh
1819 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
1820   emulate sh
1821   NULLCMD=:
1822   # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
1823   # is contrary to our usage.  Disable this feature.
1824   alias -g '${1+"$@"}'='"$@"'
1825   setopt NO_GLOB_SUBST
1826 else
1827   case `(set -o) 2>/dev/null` in
1828   *posix*) set -o posix ;;
1829 esac
1830
1831 fi
1832
1833
1834
1835
1836 # PATH needs CR
1837 # Avoid depending upon Character Ranges.
1838 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
1839 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
1840 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
1841 as_cr_digits='0123456789'
1842 as_cr_alnum=$as_cr_Letters$as_cr_digits
1843
1844 # The user is always right.
1845 if test "${PATH_SEPARATOR+set}" != set; then
1846   echo "#! /bin/sh" >conf$$.sh
1847   echo  "exit 0"   >>conf$$.sh
1848   chmod +x conf$$.sh
1849   if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
1850     PATH_SEPARATOR=';'
1851   else
1852     PATH_SEPARATOR=:
1853   fi
1854   rm -f conf$$.sh
1855 fi
1856
1857 # Support unset when possible.
1858 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
1859   as_unset=unset
1860 else
1861   as_unset=false
1862 fi
1863
1864
1865 # IFS
1866 # We need space, tab and new line, in precisely that order.  Quoting is
1867 # there to prevent editors from complaining about space-tab.
1868 # (If _AS_PATH_WALK were called with IFS unset, it would disable word
1869 # splitting by setting IFS to empty value.)
1870 as_nl='
1871 '
1872 IFS=" ""        $as_nl"
1873
1874 # Find who we are.  Look in the path if we contain no directory separator.
1875 case $0 in
1876   *[\\/]* ) as_myself=$0 ;;
1877   *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
1878 for as_dir in $PATH
1879 do
1880   IFS=$as_save_IFS
1881   test -z "$as_dir" && as_dir=.
1882   test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
1883 done
1884 IFS=$as_save_IFS
1885
1886      ;;
1887 esac
1888 # We did not find ourselves, most probably we were run as `sh COMMAND'
1889 # in which case we are not to be found in the path.
1890 if test "x$as_myself" = x; then
1891   as_myself=$0
1892 fi
1893 if test ! -f "$as_myself"; then
1894   echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
1895   { (exit 1); exit 1; }
1896 fi
1897
1898 # Work around bugs in pre-3.0 UWIN ksh.
1899 for as_var in ENV MAIL MAILPATH
1900 do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
1901 done
1902 PS1='$ '
1903 PS2='> '
1904 PS4='+ '
1905
1906 # NLS nuisances.
1907 for as_var in \
1908   LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
1909   LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
1910   LC_TELEPHONE LC_TIME
1911 do
1912   if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
1913     eval $as_var=C; export $as_var
1914   else
1915     ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
1916   fi
1917 done
1918
1919 # Required to use basename.
1920 if expr a : '\(a\)' >/dev/null 2>&1 &&
1921    test "X`expr 00001 : '.*\(...\)'`" = X001; then
1922   as_expr=expr
1923 else
1924   as_expr=false
1925 fi
1926
1927 if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
1928   as_basename=basename
1929 else
1930   as_basename=false
1931 fi
1932
1933
1934 # Name of the executable.
1935 as_me=`$as_basename -- "$0" ||
1936 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
1937          X"$0" : 'X\(//\)$' \| \
1938          X"$0" : 'X\(/\)' \| . 2>/dev/null ||
1939 echo X/"$0" |
1940     sed '/^.*\/\([^/][^/]*\)\/*$/{
1941             s//\1/
1942             q
1943           }
1944           /^X\/\(\/\/\)$/{
1945             s//\1/
1946             q
1947           }
1948           /^X\/\(\/\).*/{
1949             s//\1/
1950             q
1951           }
1952           s/.*/./; q'`
1953
1954 # CDPATH.
1955 $as_unset CDPATH
1956
1957
1958
1959   as_lineno_1=$LINENO
1960   as_lineno_2=$LINENO
1961   test "x$as_lineno_1" != "x$as_lineno_2" &&
1962   test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" || {
1963
1964   # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
1965   # uniformly replaced by the line number.  The first 'sed' inserts a
1966   # line-number line after each line using $LINENO; the second 'sed'
1967   # does the real work.  The second script uses 'N' to pair each
1968   # line-number line with the line containing $LINENO, and appends
1969   # trailing '-' during substitution so that $LINENO is not a special
1970   # case at line end.
1971   # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
1972   # scripts with optimization help from Paolo Bonzini.  Blame Lee
1973   # E. McMahon (1931-1989) for sed's syntax.  :-)
1974   sed -n '
1975     p
1976     /[$]LINENO/=
1977   ' <$as_myself |
1978     sed '
1979       s/[$]LINENO.*/&-/
1980       t lineno
1981       b
1982       :lineno
1983       N
1984       :loop
1985       s/[$]LINENO\([^'$as_cr_alnum'_].*\n\)\(.*\)/\2\1\2/
1986       t loop
1987       s/-\n.*//
1988     ' >$as_me.lineno &&
1989   chmod +x "$as_me.lineno" ||
1990     { echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
1991    { (exit 1); exit 1; }; }
1992
1993   # Don't try to exec as it changes $[0], causing all sort of problems
1994   # (the dirname of $[0] is not the place where we might find the
1995   # original and so on.  Autoconf is especially sensitive to this).
1996   . "./$as_me.lineno"
1997   # Exit status is that of the last command.
1998   exit
1999 }
2000
2001
2002 if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
2003   as_dirname=dirname
2004 else
2005   as_dirname=false
2006 fi
2007
2008 ECHO_C= ECHO_N= ECHO_T=
2009 case `echo -n x` in
2010 -n*)
2011   case `echo 'x\c'` in
2012   *c*) ECHO_T=' ';;     # ECHO_T is single tab character.
2013   *)   ECHO_C='\c';;
2014   esac;;
2015 *)
2016   ECHO_N='-n';;
2017 esac
2018
2019 if expr a : '\(a\)' >/dev/null 2>&1 &&
2020    test "X`expr 00001 : '.*\(...\)'`" = X001; then
2021   as_expr=expr
2022 else
2023   as_expr=false
2024 fi
2025
2026 rm -f conf$$ conf$$.exe conf$$.file
2027 if test -d conf$$.dir; then
2028   rm -f conf$$.dir/conf$$.file
2029 else
2030   rm -f conf$$.dir
2031   mkdir conf$$.dir
2032 fi
2033 echo >conf$$.file
2034 if ln -s conf$$.file conf$$ 2>/dev/null; then
2035   as_ln_s='ln -s'
2036   # ... but there are two gotchas:
2037   # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
2038   # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
2039   # In both cases, we have to default to `cp -p'.
2040   ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
2041     as_ln_s='cp -p'
2042 elif ln conf$$.file conf$$ 2>/dev/null; then
2043   as_ln_s=ln
2044 else
2045   as_ln_s='cp -p'
2046 fi
2047 rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
2048 rmdir conf$$.dir 2>/dev/null
2049
2050 if mkdir -p . 2>/dev/null; then
2051   as_mkdir_p=:
2052 else
2053   test -d ./-p && rmdir ./-p
2054   as_mkdir_p=false
2055 fi
2056
2057 if test -x / >/dev/null 2>&1; then
2058   as_test_x='test -x'
2059 else
2060   if ls -dL / >/dev/null 2>&1; then
2061     as_ls_L_option=L
2062   else
2063     as_ls_L_option=
2064   fi
2065   as_test_x='
2066     eval sh -c '\''
2067       if test -d "$1"; then
2068         test -d "$1/.";
2069       else
2070         case $1 in
2071         -*)set "./$1";;
2072         esac;
2073         case `ls -ld'$as_ls_L_option' "$1" 2>/dev/null` in
2074         ???[sx]*):;;*)false;;esac;fi
2075     '\'' sh
2076   '
2077 fi
2078 as_executable_p=$as_test_x
2079
2080 # Sed expression to map a string onto a valid CPP name.
2081 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
2082
2083 # Sed expression to map a string onto a valid variable name.
2084 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
2085
2086
2087 exec 6>&1
2088
2089 # Save the log message, to keep $[0] and so on meaningful, and to
2090 # report actual input values of CONFIG_FILES etc. instead of their
2091 # values after options handling.
2092 ac_log="
2093 This file was extended by $as_me, which was
2094 generated by GNU Autoconf 2.61.  Invocation command line was
2095
2096   CONFIG_FILES    = $CONFIG_FILES
2097   CONFIG_HEADERS  = $CONFIG_HEADERS
2098   CONFIG_LINKS    = $CONFIG_LINKS
2099   CONFIG_COMMANDS = $CONFIG_COMMANDS
2100   $ $0 $@
2101
2102 on `(hostname || uname -n) 2>/dev/null | sed 1q`
2103 "
2104
2105 _ACEOF
2106
2107 cat >>$CONFIG_STATUS <<_ACEOF
2108 # Files that config.status was made for.
2109 config_files="$ac_config_files"
2110
2111 _ACEOF
2112
2113 cat >>$CONFIG_STATUS <<\_ACEOF
2114 ac_cs_usage="\
2115 \`$as_me' instantiates files from templates according to the
2116 current configuration.
2117
2118 Usage: $0 [OPTIONS] [FILE]...
2119
2120   -h, --help       print this help, then exit
2121   -V, --version    print version number and configuration settings, then exit
2122   -q, --quiet      do not print progress messages
2123   -d, --debug      don't remove temporary files
2124       --recheck    update $as_me by reconfiguring in the same conditions
2125   --file=FILE[:TEMPLATE]
2126                    instantiate the configuration file FILE
2127
2128 Configuration files:
2129 $config_files
2130
2131 Report bugs to <bug-autoconf@gnu.org>."
2132
2133 _ACEOF
2134 cat >>$CONFIG_STATUS <<_ACEOF
2135 ac_cs_version="\\
2136 config.status
2137 configured by $0, generated by GNU Autoconf 2.61,
2138   with options \\"`echo "$ac_configure_args" | sed 's/^ //; s/[\\""\`\$]/\\\\&/g'`\\"
2139
2140 Copyright (C) 2006 Free Software Foundation, Inc.
2141 This config.status script is free software; the Free Software Foundation
2142 gives unlimited permission to copy, distribute and modify it."
2143
2144 ac_pwd='$ac_pwd'
2145 srcdir='$srcdir'
2146 _ACEOF
2147
2148 cat >>$CONFIG_STATUS <<\_ACEOF
2149 # If no file are specified by the user, then we need to provide default
2150 # value.  By we need to know if files were specified by the user.
2151 ac_need_defaults=:
2152 while test $# != 0
2153 do
2154   case $1 in
2155   --*=*)
2156     ac_option=`expr "X$1" : 'X\([^=]*\)='`
2157     ac_optarg=`expr "X$1" : 'X[^=]*=\(.*\)'`
2158     ac_shift=:
2159     ;;
2160   *)
2161     ac_option=$1
2162     ac_optarg=$2
2163     ac_shift=shift
2164     ;;
2165   esac
2166
2167   case $ac_option in
2168   # Handling of the options.
2169   -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
2170     ac_cs_recheck=: ;;
2171   --version | --versio | --versi | --vers | --ver | --ve | --v | -V )
2172     echo "$ac_cs_version"; exit ;;
2173   --debug | --debu | --deb | --de | --d | -d )
2174     debug=: ;;
2175   --file | --fil | --fi | --f )
2176     $ac_shift
2177     CONFIG_FILES="$CONFIG_FILES $ac_optarg"
2178     ac_need_defaults=false;;
2179   --he | --h |  --help | --hel | -h )
2180     echo "$ac_cs_usage"; exit ;;
2181   -q | -quiet | --quiet | --quie | --qui | --qu | --q \
2182   | -silent | --silent | --silen | --sile | --sil | --si | --s)
2183     ac_cs_silent=: ;;
2184
2185   # This is an error.
2186   -*) { echo "$as_me: error: unrecognized option: $1
2187 Try \`$0 --help' for more information." >&2
2188    { (exit 1); exit 1; }; } ;;
2189
2190   *) ac_config_targets="$ac_config_targets $1"
2191      ac_need_defaults=false ;;
2192
2193   esac
2194   shift
2195 done
2196
2197 ac_configure_extra_args=
2198
2199 if $ac_cs_silent; then
2200   exec 6>/dev/null
2201   ac_configure_extra_args="$ac_configure_extra_args --silent"
2202 fi
2203
2204 _ACEOF
2205 cat >>$CONFIG_STATUS <<_ACEOF
2206 if \$ac_cs_recheck; then
2207   echo "running CONFIG_SHELL=$SHELL $SHELL $0 "$ac_configure_args \$ac_configure_extra_args " --no-create --no-recursion" >&6
2208   CONFIG_SHELL=$SHELL
2209   export CONFIG_SHELL
2210   exec $SHELL "$0"$ac_configure_args \$ac_configure_extra_args --no-create --no-recursion
2211 fi
2212
2213 _ACEOF
2214 cat >>$CONFIG_STATUS <<\_ACEOF
2215 exec 5>>config.log
2216 {
2217   echo
2218   sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
2219 ## Running $as_me. ##
2220 _ASBOX
2221   echo "$ac_log"
2222 } >&5
2223
2224 _ACEOF
2225 cat >>$CONFIG_STATUS <<_ACEOF
2226 _ACEOF
2227
2228 cat >>$CONFIG_STATUS <<\_ACEOF
2229
2230 # Handling of arguments.
2231 for ac_config_target in $ac_config_targets
2232 do
2233   case $ac_config_target in
2234     "Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;;
2235
2236   *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
2237 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
2238    { (exit 1); exit 1; }; };;
2239   esac
2240 done
2241
2242
2243 # If the user did not use the arguments to specify the items to instantiate,
2244 # then the envvar interface is used.  Set only those that are not.
2245 # We use the long form for the default assignment because of an extremely
2246 # bizarre bug on SunOS 4.1.3.
2247 if $ac_need_defaults; then
2248   test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
2249 fi
2250
2251 # Have a temporary directory for convenience.  Make it in the build tree
2252 # simply because there is no reason against having it here, and in addition,
2253 # creating and moving files from /tmp can sometimes cause problems.
2254 # Hook for its removal unless debugging.
2255 # Note that there is a small window in which the directory will not be cleaned:
2256 # after its creation but before its name has been assigned to `$tmp'.
2257 $debug ||
2258 {
2259   tmp=
2260   trap 'exit_status=$?
2261   { test -z "$tmp" || test ! -d "$tmp" || rm -fr "$tmp"; } && exit $exit_status
2262 ' 0
2263   trap '{ (exit 1); exit 1; }' 1 2 13 15
2264 }
2265 # Create a (secure) tmp directory for tmp files.
2266
2267 {
2268   tmp=`(umask 077 && mktemp -d "./confXXXXXX") 2>/dev/null` &&
2269   test -n "$tmp" && test -d "$tmp"
2270 }  ||
2271 {
2272   tmp=./conf$$-$RANDOM
2273   (umask 077 && mkdir "$tmp")
2274 } ||
2275 {
2276    echo "$me: cannot create a temporary directory in ." >&2
2277    { (exit 1); exit 1; }
2278 }
2279
2280 #
2281 # Set up the sed scripts for CONFIG_FILES section.
2282 #
2283
2284 # No need to generate the scripts if there are no CONFIG_FILES.
2285 # This happens for instance when ./config.status config.h
2286 if test -n "$CONFIG_FILES"; then
2287
2288 _ACEOF
2289
2290
2291
2292 ac_delim='%!_!# '
2293 for ac_last_try in false false false false false :; do
2294   cat >conf$$subs.sed <<_ACEOF
2295 SHELL!$SHELL$ac_delim
2296 PATH_SEPARATOR!$PATH_SEPARATOR$ac_delim
2297 PACKAGE_NAME!$PACKAGE_NAME$ac_delim
2298 PACKAGE_TARNAME!$PACKAGE_TARNAME$ac_delim
2299 PACKAGE_VERSION!$PACKAGE_VERSION$ac_delim
2300 PACKAGE_STRING!$PACKAGE_STRING$ac_delim
2301 PACKAGE_BUGREPORT!$PACKAGE_BUGREPORT$ac_delim
2302 exec_prefix!$exec_prefix$ac_delim
2303 prefix!$prefix$ac_delim
2304 program_transform_name!$program_transform_name$ac_delim
2305 bindir!$bindir$ac_delim
2306 sbindir!$sbindir$ac_delim
2307 libexecdir!$libexecdir$ac_delim
2308 datarootdir!$datarootdir$ac_delim
2309 datadir!$datadir$ac_delim
2310 sysconfdir!$sysconfdir$ac_delim
2311 sharedstatedir!$sharedstatedir$ac_delim
2312 localstatedir!$localstatedir$ac_delim
2313 includedir!$includedir$ac_delim
2314 oldincludedir!$oldincludedir$ac_delim
2315 docdir!$docdir$ac_delim
2316 infodir!$infodir$ac_delim
2317 htmldir!$htmldir$ac_delim
2318 dvidir!$dvidir$ac_delim
2319 pdfdir!$pdfdir$ac_delim
2320 psdir!$psdir$ac_delim
2321 libdir!$libdir$ac_delim
2322 localedir!$localedir$ac_delim
2323 mandir!$mandir$ac_delim
2324 DEFS!$DEFS$ac_delim
2325 ECHO_C!$ECHO_C$ac_delim
2326 ECHO_N!$ECHO_N$ac_delim
2327 ECHO_T!$ECHO_T$ac_delim
2328 LIBS!$LIBS$ac_delim
2329 build_alias!$build_alias$ac_delim
2330 host_alias!$host_alias$ac_delim
2331 target_alias!$target_alias$ac_delim
2332 SET_MAKE!$SET_MAKE$ac_delim
2333 subdirs!$subdirs$ac_delim
2334 LIBOBJS!$LIBOBJS$ac_delim
2335 LTLIBOBJS!$LTLIBOBJS$ac_delim
2336 _ACEOF
2337
2338   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 41; then
2339     break
2340   elif $ac_last_try; then
2341     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
2342 echo "$as_me: error: could not make $CONFIG_STATUS" >&2;}
2343    { (exit 1); exit 1; }; }
2344   else
2345     ac_delim="$ac_delim!$ac_delim _$ac_delim!! "
2346   fi
2347 done
2348
2349 ac_eof=`sed -n '/^CEOF[0-9]*$/s/CEOF/0/p' conf$$subs.sed`
2350 if test -n "$ac_eof"; then
2351   ac_eof=`echo "$ac_eof" | sort -nru | sed 1q`
2352   ac_eof=`expr $ac_eof + 1`
2353 fi
2354
2355 cat >>$CONFIG_STATUS <<_ACEOF
2356 cat >"\$tmp/subs-1.sed" <<\CEOF$ac_eof
2357 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b end
2358 _ACEOF
2359 sed '
2360 s/[,\\&]/\\&/g; s/@/@|#_!!_#|/g
2361 s/^/s,@/; s/!/@,|#_!!_#|/
2362 :n
2363 t n
2364 s/'"$ac_delim"'$/,g/; t
2365 s/$/\\/; p
2366 N; s/^.*\n//; s/[,\\&]/\\&/g; s/@/@|#_!!_#|/g; b n
2367 ' >>$CONFIG_STATUS <conf$$subs.sed
2368 rm -f conf$$subs.sed
2369 cat >>$CONFIG_STATUS <<_ACEOF
2370 :end
2371 s/|#_!!_#|//g
2372 CEOF$ac_eof
2373 _ACEOF
2374
2375
2376 # VPATH may cause trouble with some makes, so we remove $(srcdir),
2377 # ${srcdir} and @srcdir@ from VPATH if srcdir is ".", strip leading and
2378 # trailing colons and then remove the whole line if VPATH becomes empty
2379 # (actually we leave an empty line to preserve line numbers).
2380 if test "x$srcdir" = x.; then
2381   ac_vpsub='/^[  ]*VPATH[        ]*=/{
2382 s/:*\$(srcdir):*/:/
2383 s/:*\${srcdir}:*/:/
2384 s/:*@srcdir@:*/:/
2385 s/^\([^=]*=[     ]*\):*/\1/
2386 s/:*$//
2387 s/^[^=]*=[       ]*$//
2388 }'
2389 fi
2390
2391 cat >>$CONFIG_STATUS <<\_ACEOF
2392 fi # test -n "$CONFIG_FILES"
2393
2394
2395 for ac_tag in  :F $CONFIG_FILES
2396 do
2397   case $ac_tag in
2398   :[FHLC]) ac_mode=$ac_tag; continue;;
2399   esac
2400   case $ac_mode$ac_tag in
2401   :[FHL]*:*);;
2402   :L* | :C*:*) { { echo "$as_me:$LINENO: error: Invalid tag $ac_tag." >&5
2403 echo "$as_me: error: Invalid tag $ac_tag." >&2;}
2404    { (exit 1); exit 1; }; };;
2405   :[FH]-) ac_tag=-:-;;
2406   :[FH]*) ac_tag=$ac_tag:$ac_tag.in;;
2407   esac
2408   ac_save_IFS=$IFS
2409   IFS=:
2410   set x $ac_tag
2411   IFS=$ac_save_IFS
2412   shift
2413   ac_file=$1
2414   shift
2415
2416   case $ac_mode in
2417   :L) ac_source=$1;;
2418   :[FH])
2419     ac_file_inputs=
2420     for ac_f
2421     do
2422       case $ac_f in
2423       -) ac_f="$tmp/stdin";;
2424       *) # Look for the file first in the build tree, then in the source tree
2425          # (if the path is not absolute).  The absolute path cannot be DOS-style,
2426          # because $ac_f cannot contain `:'.
2427          test -f "$ac_f" ||
2428            case $ac_f in
2429            [\\/$]*) false;;
2430            *) test -f "$srcdir/$ac_f" && ac_f="$srcdir/$ac_f";;
2431            esac ||
2432            { { echo "$as_me:$LINENO: error: cannot find input file: $ac_f" >&5
2433 echo "$as_me: error: cannot find input file: $ac_f" >&2;}
2434    { (exit 1); exit 1; }; };;
2435       esac
2436       ac_file_inputs="$ac_file_inputs $ac_f"
2437     done
2438
2439     # Let's still pretend it is `configure' which instantiates (i.e., don't
2440     # use $as_me), people would be surprised to read:
2441     #    /* config.h.  Generated by config.status.  */
2442     configure_input="Generated from "`IFS=:
2443           echo $* | sed 's|^[^:]*/||;s|:[^:]*/|, |g'`" by configure."
2444     if test x"$ac_file" != x-; then
2445       configure_input="$ac_file.  $configure_input"
2446       { echo "$as_me:$LINENO: creating $ac_file" >&5
2447 echo "$as_me: creating $ac_file" >&6;}
2448     fi
2449
2450     case $ac_tag in
2451     *:-:* | *:-) cat >"$tmp/stdin";;
2452     esac
2453     ;;
2454   esac
2455
2456   ac_dir=`$as_dirname -- "$ac_file" ||
2457 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
2458          X"$ac_file" : 'X\(//\)[^/]' \| \
2459          X"$ac_file" : 'X\(//\)$' \| \
2460          X"$ac_file" : 'X\(/\)' \| . 2>/dev/null ||
2461 echo X"$ac_file" |
2462     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
2463             s//\1/
2464             q
2465           }
2466           /^X\(\/\/\)[^/].*/{
2467             s//\1/
2468             q
2469           }
2470           /^X\(\/\/\)$/{
2471             s//\1/
2472             q
2473           }
2474           /^X\(\/\).*/{
2475             s//\1/
2476             q
2477           }
2478           s/.*/./; q'`
2479   { as_dir="$ac_dir"
2480   case $as_dir in #(
2481   -*) as_dir=./$as_dir;;
2482   esac
2483   test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
2484     as_dirs=
2485     while :; do
2486       case $as_dir in #(
2487       *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
2488       *) as_qdir=$as_dir;;
2489       esac
2490       as_dirs="'$as_qdir' $as_dirs"
2491       as_dir=`$as_dirname -- "$as_dir" ||
2492 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
2493          X"$as_dir" : 'X\(//\)[^/]' \| \
2494          X"$as_dir" : 'X\(//\)$' \| \
2495          X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
2496 echo X"$as_dir" |
2497     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
2498             s//\1/
2499             q
2500           }
2501           /^X\(\/\/\)[^/].*/{
2502             s//\1/
2503             q
2504           }
2505           /^X\(\/\/\)$/{
2506             s//\1/
2507             q
2508           }
2509           /^X\(\/\).*/{
2510             s//\1/
2511             q
2512           }
2513           s/.*/./; q'`
2514       test -d "$as_dir" && break
2515     done
2516     test -z "$as_dirs" || eval "mkdir $as_dirs"
2517   } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
2518 echo "$as_me: error: cannot create directory $as_dir" >&2;}
2519    { (exit 1); exit 1; }; }; }
2520   ac_builddir=.
2521
2522 case "$ac_dir" in
2523 .) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
2524 *)
2525   ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
2526   # A ".." for each directory in $ac_dir_suffix.
2527   ac_top_builddir_sub=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,/..,g;s,/,,'`
2528   case $ac_top_builddir_sub in
2529   "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
2530   *)  ac_top_build_prefix=$ac_top_builddir_sub/ ;;
2531   esac ;;
2532 esac
2533 ac_abs_top_builddir=$ac_pwd
2534 ac_abs_builddir=$ac_pwd$ac_dir_suffix
2535 # for backward compatibility:
2536 ac_top_builddir=$ac_top_build_prefix
2537
2538 case $srcdir in
2539   .)  # We are building in place.
2540     ac_srcdir=.
2541     ac_top_srcdir=$ac_top_builddir_sub
2542     ac_abs_top_srcdir=$ac_pwd ;;
2543   [\\/]* | ?:[\\/]* )  # Absolute name.
2544     ac_srcdir=$srcdir$ac_dir_suffix;
2545     ac_top_srcdir=$srcdir
2546     ac_abs_top_srcdir=$srcdir ;;
2547   *) # Relative name.
2548     ac_srcdir=$ac_top_build_prefix$srcdir$ac_dir_suffix
2549     ac_top_srcdir=$ac_top_build_prefix$srcdir
2550     ac_abs_top_srcdir=$ac_pwd/$srcdir ;;
2551 esac
2552 ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix
2553
2554
2555   case $ac_mode in
2556   :F)
2557   #
2558   # CONFIG_FILE
2559   #
2560
2561 _ACEOF
2562
2563 cat >>$CONFIG_STATUS <<\_ACEOF
2564 # If the template does not know about datarootdir, expand it.
2565 # FIXME: This hack should be removed a few years after 2.60.
2566 ac_datarootdir_hack=; ac_datarootdir_seen=
2567
2568 case `sed -n '/datarootdir/ {
2569   p
2570   q
2571 }
2572 /@datadir@/p
2573 /@docdir@/p
2574 /@infodir@/p
2575 /@localedir@/p
2576 /@mandir@/p
2577 ' $ac_file_inputs` in
2578 *datarootdir*) ac_datarootdir_seen=yes;;
2579 *@datadir@*|*@docdir@*|*@infodir@*|*@localedir@*|*@mandir@*)
2580   { echo "$as_me:$LINENO: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&5
2581 echo "$as_me: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&2;}
2582 _ACEOF
2583 cat >>$CONFIG_STATUS <<_ACEOF
2584   ac_datarootdir_hack='
2585   s&@datadir@&$datadir&g
2586   s&@docdir@&$docdir&g
2587   s&@infodir@&$infodir&g
2588   s&@localedir@&$localedir&g
2589   s&@mandir@&$mandir&g
2590     s&\\\${datarootdir}&$datarootdir&g' ;;
2591 esac
2592 _ACEOF
2593
2594 # Neutralize VPATH when `$srcdir' = `.'.
2595 # Shell code in configure.ac might set extrasub.
2596 # FIXME: do we really want to maintain this feature?
2597 cat >>$CONFIG_STATUS <<_ACEOF
2598   sed "$ac_vpsub
2599 $extrasub
2600 _ACEOF
2601 cat >>$CONFIG_STATUS <<\_ACEOF
2602 :t
2603 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
2604 s&@configure_input@&$configure_input&;t t
2605 s&@top_builddir@&$ac_top_builddir_sub&;t t
2606 s&@srcdir@&$ac_srcdir&;t t
2607 s&@abs_srcdir@&$ac_abs_srcdir&;t t
2608 s&@top_srcdir@&$ac_top_srcdir&;t t
2609 s&@abs_top_srcdir@&$ac_abs_top_srcdir&;t t
2610 s&@builddir@&$ac_builddir&;t t
2611 s&@abs_builddir@&$ac_abs_builddir&;t t
2612 s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
2613 $ac_datarootdir_hack
2614 " $ac_file_inputs | sed -f "$tmp/subs-1.sed" >$tmp/out
2615
2616 test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
2617   { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&
2618   { ac_out=`sed -n '/^[  ]*datarootdir[  ]*:*=/p' "$tmp/out"`; test -z "$ac_out"; } &&
2619   { echo "$as_me:$LINENO: WARNING: $ac_file contains a reference to the variable \`datarootdir'
2620 which seems to be undefined.  Please make sure it is defined." >&5
2621 echo "$as_me: WARNING: $ac_file contains a reference to the variable \`datarootdir'
2622 which seems to be undefined.  Please make sure it is defined." >&2;}
2623
2624   rm -f "$tmp/stdin"
2625   case $ac_file in
2626   -) cat "$tmp/out"; rm -f "$tmp/out";;
2627   *) rm -f "$ac_file"; mv "$tmp/out" $ac_file;;
2628   esac
2629  ;;
2630
2631
2632
2633   esac
2634
2635 done # for ac_tag
2636
2637
2638 { (exit 0); exit 0; }
2639 _ACEOF
2640 chmod +x $CONFIG_STATUS
2641 ac_clean_files=$ac_clean_files_save
2642
2643
2644 # configure is writing to config.log, and then calls config.status.
2645 # config.status does its own redirection, appending to config.log.
2646 # Unfortunately, on DOS this fails, as config.log is still kept open
2647 # by configure, so config.status won't be able to write to it; its
2648 # output is simply discarded.  So we exec the FD to /dev/null,
2649 # effectively closing config.log, so it can be properly (re)opened and
2650 # appended to by config.status.  When coming back to configure, we
2651 # need to make the FD available again.
2652 if test "$no_create" != yes; then
2653   ac_cs_success=:
2654   ac_config_status_args=
2655   test "$silent" = yes &&
2656     ac_config_status_args="$ac_config_status_args --quiet"
2657   exec 5>/dev/null
2658   $SHELL $CONFIG_STATUS $ac_config_status_args || ac_cs_success=false
2659   exec 5>>config.log
2660   # Use ||, not &&, to avoid exiting from the if with $? = 1, which
2661   # would make configure fail if this is the last instruction.
2662   $ac_cs_success || { (exit 1); exit 1; }
2663 fi
2664
2665 #
2666 # CONFIG_SUBDIRS section.
2667 #
2668 if test "$no_recursion" != yes; then
2669
2670   # Remove --cache-file and --srcdir arguments so they do not pile up.
2671   ac_sub_configure_args=
2672   ac_prev=
2673   eval "set x $ac_configure_args"
2674   shift
2675   for ac_arg
2676   do
2677     if test -n "$ac_prev"; then
2678       ac_prev=
2679       continue
2680     fi
2681     case $ac_arg in
2682     -cache-file | --cache-file | --cache-fil | --cache-fi \
2683     | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
2684       ac_prev=cache_file ;;
2685     -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
2686     | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* \
2687     | --c=*)
2688       ;;
2689     --config-cache | -C)
2690       ;;
2691     -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
2692       ac_prev=srcdir ;;
2693     -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
2694       ;;
2695     -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
2696       ac_prev=prefix ;;
2697     -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
2698       ;;
2699     *)
2700       case $ac_arg in
2701       *\'*) ac_arg=`echo "$ac_arg" | sed "s/'/'\\\\\\\\''/g"` ;;
2702       esac
2703       ac_sub_configure_args="$ac_sub_configure_args '$ac_arg'" ;;
2704     esac
2705   done
2706
2707   # Always prepend --prefix to ensure using the same prefix
2708   # in subdir configurations.
2709   ac_arg="--prefix=$prefix"
2710   case $ac_arg in
2711   *\'*) ac_arg=`echo "$ac_arg" | sed "s/'/'\\\\\\\\''/g"` ;;
2712   esac
2713   ac_sub_configure_args="'$ac_arg' $ac_sub_configure_args"
2714
2715   # Pass --silent
2716   if test "$silent" = yes; then
2717     ac_sub_configure_args="--silent $ac_sub_configure_args"
2718   fi
2719
2720   ac_popdir=`pwd`
2721   for ac_dir in : $subdirs; do test "x$ac_dir" = x: && continue
2722
2723     # Do not complain, so a configure script can configure whichever
2724     # parts of a large source tree are present.
2725     test -d "$srcdir/$ac_dir" || continue
2726
2727     ac_msg="=== configuring in $ac_dir (`pwd`/$ac_dir)"
2728     echo "$as_me:$LINENO: $ac_msg" >&5
2729     echo "$ac_msg" >&6
2730     { as_dir="$ac_dir"
2731   case $as_dir in #(
2732   -*) as_dir=./$as_dir;;
2733   esac
2734   test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
2735     as_dirs=
2736     while :; do
2737       case $as_dir in #(
2738       *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
2739       *) as_qdir=$as_dir;;
2740       esac
2741       as_dirs="'$as_qdir' $as_dirs"
2742       as_dir=`$as_dirname -- "$as_dir" ||
2743 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
2744          X"$as_dir" : 'X\(//\)[^/]' \| \
2745          X"$as_dir" : 'X\(//\)$' \| \
2746          X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
2747 echo X"$as_dir" |
2748     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
2749             s//\1/
2750             q
2751           }
2752           /^X\(\/\/\)[^/].*/{
2753             s//\1/
2754             q
2755           }
2756           /^X\(\/\/\)$/{
2757             s//\1/
2758             q
2759           }
2760           /^X\(\/\).*/{
2761             s//\1/
2762             q
2763           }
2764           s/.*/./; q'`
2765       test -d "$as_dir" && break
2766     done
2767     test -z "$as_dirs" || eval "mkdir $as_dirs"
2768   } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
2769 echo "$as_me: error: cannot create directory $as_dir" >&2;}
2770    { (exit 1); exit 1; }; }; }
2771     ac_builddir=.
2772
2773 case "$ac_dir" in
2774 .) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
2775 *)
2776   ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
2777   # A ".." for each directory in $ac_dir_suffix.
2778   ac_top_builddir_sub=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,/..,g;s,/,,'`
2779   case $ac_top_builddir_sub in
2780   "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
2781   *)  ac_top_build_prefix=$ac_top_builddir_sub/ ;;
2782   esac ;;
2783 esac
2784 ac_abs_top_builddir=$ac_pwd
2785 ac_abs_builddir=$ac_pwd$ac_dir_suffix
2786 # for backward compatibility:
2787 ac_top_builddir=$ac_top_build_prefix
2788
2789 case $srcdir in
2790   .)  # We are building in place.
2791     ac_srcdir=.
2792     ac_top_srcdir=$ac_top_builddir_sub
2793     ac_abs_top_srcdir=$ac_pwd ;;
2794   [\\/]* | ?:[\\/]* )  # Absolute name.
2795     ac_srcdir=$srcdir$ac_dir_suffix;
2796     ac_top_srcdir=$srcdir
2797     ac_abs_top_srcdir=$srcdir ;;
2798   *) # Relative name.
2799     ac_srcdir=$ac_top_build_prefix$srcdir$ac_dir_suffix
2800     ac_top_srcdir=$ac_top_build_prefix$srcdir
2801     ac_abs_top_srcdir=$ac_pwd/$srcdir ;;
2802 esac
2803 ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix
2804
2805
2806     cd "$ac_dir"
2807
2808     # Check for guested configure; otherwise get Cygnus style configure.
2809     if test -f "$ac_srcdir/configure.gnu"; then
2810       ac_sub_configure=$ac_srcdir/configure.gnu
2811     elif test -f "$ac_srcdir/configure"; then
2812       ac_sub_configure=$ac_srcdir/configure
2813     elif test -f "$ac_srcdir/configure.in"; then
2814       # This should be Cygnus configure.
2815       ac_sub_configure=$ac_aux_dir/configure
2816     else
2817       { echo "$as_me:$LINENO: WARNING: no configuration information is in $ac_dir" >&5
2818 echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2;}
2819       ac_sub_configure=
2820     fi
2821
2822     # The recursion is here.
2823     if test -n "$ac_sub_configure"; then
2824       # Make the cache file name correct relative to the subdirectory.
2825       case $cache_file in
2826       [\\/]* | ?:[\\/]* ) ac_sub_cache_file=$cache_file ;;
2827       *) # Relative name.
2828         ac_sub_cache_file=$ac_top_build_prefix$cache_file ;;
2829       esac
2830
2831       { echo "$as_me:$LINENO: running $SHELL $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_srcdir" >&5
2832 echo "$as_me: running $SHELL $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_srcdir" >&6;}
2833       # The eval makes quoting arguments work.
2834       eval "\$SHELL \"\$ac_sub_configure\" $ac_sub_configure_args \
2835            --cache-file=\"\$ac_sub_cache_file\" --srcdir=\"\$ac_srcdir\"" ||
2836         { { echo "$as_me:$LINENO: error: $ac_sub_configure failed for $ac_dir" >&5
2837 echo "$as_me: error: $ac_sub_configure failed for $ac_dir" >&2;}
2838    { (exit 1); exit 1; }; }
2839     fi
2840
2841     cd "$ac_popdir"
2842   done
2843 fi
2844